"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = void 0;
var styled_components_1 = __importStar(require("styled-components"));
var scrollDown = (0, styled_components_1.keyframes)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  0% {\n    opacity: 0;\n    transform: translateY(0) rotate(-45deg);\n  }\n  30% {\n    opacity: 1;\n    transform: translateY(10px) rotate(-45deg);\n  }\n  60% {\n    opacity: 1;\n    transform: translateY(5px) rotate(-45deg);\n  }\n  100% {\n    top: 90%;\n    opacity: 0;\n    transform: translateY(0) rotate(-45deg);\n  }\n"], ["\n  0% {\n    opacity: 0;\n    transform: translateY(0) rotate(-45deg);\n  }\n  30% {\n    opacity: 1;\n    transform: translateY(10px) rotate(-45deg);\n  }\n  60% {\n    opacity: 1;\n    transform: translateY(5px) rotate(-45deg);\n  }\n  100% {\n    top: 90%;\n    opacity: 0;\n    transform: translateY(0) rotate(-45deg);\n  }\n"])));
exports.Button = styled_components_1.default.button(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  position: relative;\n  width: ", ";\n  height: ", ";\n  border: none;\n  border-radius: 50%;\n  z-index: 10;\n\n  cursor: pointer;\n  \n  &:after {\n    content: '';\n    display: block;\n    width: 20%;\n    height: 20%;\n    border: 2px solid;\n    margin: auto;\n  }\n\n  ", "\n"], ["\n  position: relative;\n  width: ", ";\n  height: ", ";\n  border: none;\n  border-radius: 50%;\n  z-index: 10;\n\n  cursor: pointer;\n  \n  &:after {\n    content: '';\n    display: block;\n    width: 20%;\n    height: 20%;\n    border: 2px solid;\n    margin: auto;\n  }\n\n  ", "\n"])), function (_a) {
    var size = _a.size;
    return "".concat(size, "px");
}, function (_a) {
    var size = _a.size;
    return "".concat(size, "px");
}, function (_a) {
    var secondary = _a.secondary, theme = _a.theme;
    return !secondary
        ? (0, styled_components_1.css)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n          background: ", ";\n\n          &:after {\n            margin-top: 14%;\n            border-color: transparent transparent\n              ", " ", ";\n            transform: rotate(135deg);\n          }\n\n          &:hover {\n            background: ", ";\n          }\n        "], ["\n          background: ", ";\n\n          &:after {\n            margin-top: 14%;\n            border-color: transparent transparent\n              ", " ", ";\n            transform: rotate(135deg);\n          }\n\n          &:hover {\n            background: ", ";\n          }\n        "])), theme.colors.button.activePrimaryButton, theme.colors.button.buttonTypography, theme.colors.button.buttonTypography, theme.colors.button.hoverPrimaryButton) : (0, styled_components_1.css)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n          background: transparent;\n          border: none;\n          \n\n          &:after {\n            margin-bottom: 26%;\n            border-color: transparent transparent\n              ", "\n              ", ";\n              transform: translateY(0) rotate(-45deg);\n            animation: ", " 1s ease-in-out infinite;\n          }\n          &:before {\n            content: '';\n            display: block;\n            width: 20%;\n            height: 20%;\n            border: 2px solid;\n            margin: auto;\n            margin-bottom: -8%;\n            border-color: transparent transparent\n              ", "\n              ", ";\n            transform: rotate(-45deg);\n            animation: ", " 1s ease-in-out infinite;\n            animation-delay: 0.05s;\n\n          }\n\n          &:hover {\n            &:after, &:before {\n              border-color: transparent transparent\n                ", "\n                ", ";\n            }\n          }\n        "], ["\n          background: transparent;\n          border: none;\n          \n\n          &:after {\n            margin-bottom: 26%;\n            border-color: transparent transparent\n              ", "\n              ", ";\n              transform: translateY(0) rotate(-45deg);\n            animation: ", " 1s ease-in-out infinite;\n          }\n          &:before {\n            content: '';\n            display: block;\n            width: 20%;\n            height: 20%;\n            border: 2px solid;\n            margin: auto;\n            margin-bottom: -8%;\n            border-color: transparent transparent\n              ", "\n              ", ";\n            transform: rotate(-45deg);\n            animation: ", " 1s ease-in-out infinite;\n            animation-delay: 0.05s;\n\n          }\n\n          &:hover {\n            &:after, &:before {\n              border-color: transparent transparent\n                ", "\n                ", ";\n            }\n          }\n        "])), theme.colors.button.activeSecondaryButton, theme.colors.button.activeSecondaryButton, scrollDown, theme.colors.button.activeSecondaryButton, theme.colors.button.activeSecondaryButton, scrollDown, theme.colors.button.hoverSecondaryButton, theme.colors.button.hoverSecondaryButton);
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
