"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Content = exports.Ripple = exports.StyledButton = exports.RippleEffect = void 0;
var styled_components_1 = __importStar(require("styled-components"));
exports.RippleEffect = (0, styled_components_1.keyframes)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  0% {\n    transform: scale(1);\n    opacity: 1;\n  }\n  50% {\n    transform: scale(10);\n    opacity: 0.375;\n  }\n  100% {\n    transform: scale(35);\n    opacity: 0;\n  }\n"], ["\n  0% {\n    transform: scale(1);\n    opacity: 1;\n  }\n  50% {\n    transform: scale(10);\n    opacity: 0.375;\n  }\n  100% {\n    transform: scale(35);\n    opacity: 0;\n  }\n"])));
exports.StyledButton = styled_components_1.default.button(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  position: relative;\n  width: 100%;\n  max-width: 343px;\n  margin: 9px 0;\n  border: none;\n  border-radius: 30px;\n\n  position: relative;\n  overflow: hidden;\n\n  font-family: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  cursor: pointer;\n\n  @media screen and (min-width: 768px) {\n    width: ", ";\n    max-width: none;\n    padding: 15px 50px;\n  }\n\n  ", "\n  ", "\n  ", "\n  ", "\n"], ["\n  position: relative;\n  width: 100%;\n  max-width: 343px;\n  margin: 9px 0;\n  border: none;\n  border-radius: 30px;\n\n  position: relative;\n  overflow: hidden;\n\n  font-family: ", ";\n  font-size: ", ";\n  font-weight: ", ";\n  cursor: pointer;\n\n  @media screen and (min-width: 768px) {\n    width: ", ";\n    max-width: none;\n    padding: 15px 50px;\n  }\n\n  ", "\n  ", "\n  ", "\n  ", "\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var size = _a.size;
    return (size ? "".concat(size, "px") : '20px');
}, function (_a) {
    var weight = _a.weight;
    return weight || 700;
}, function (_a) {
    var width = _a.width;
    return (width ? "".concat(width, "%") : 'auto');
}, function (_a) {
    var secondary = _a.secondary, disabled = _a.disabled, theme = _a.theme;
    return !secondary &&
        !disabled && (0, styled_components_1.css)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n      padding: 15px 0;\n      background: ", ";\n      color: ", ";\n      &:hover {\n        background: ", ";\n      }\n    "], ["\n      padding: 15px 0;\n      background: ", ";\n      color: ", ";\n      &:hover {\n        background: ", ";\n      }\n    "])), theme.colors.button.activePrimaryButton, theme.colors.button.buttonTypography, theme.colors.button.hoverPrimaryButton);
}, function (_a) {
    var secondary = _a.secondary, disabled = _a.disabled, theme = _a.theme;
    return secondary &&
        !disabled && (0, styled_components_1.css)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n      padding: 14px 0;\n      border: 2px solid;\n      background: ", ";\n      color: ", ";\n      &:hover {\n        color: ", ";\n      }\n\n      @media screen and (min-width: 768px) {\n        padding: 13px 48px;\n      } \n    "], ["\n      padding: 14px 0;\n      border: 2px solid;\n      background: ", ";\n      color: ", ";\n      &:hover {\n        color: ", ";\n      }\n\n      @media screen and (min-width: 768px) {\n        padding: 13px 48px;\n      } \n    "])), theme.colors.background.primaryBackgroundColor, theme.colors.button.activeSecondaryButton, theme.colors.button.hoverSecondaryButton);
}, function (_a) {
    var secondary = _a.secondary, disabled = _a.disabled, theme = _a.theme;
    return !secondary &&
        disabled && (0, styled_components_1.css)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n      padding: 15px 0;\n      background: ", ";\n      color: ", ";\n    "], ["\n      padding: 15px 0;\n      background: ", ";\n      color: ", ";\n    "])), theme.colors.typography.disabled, theme.colors.typography.disabledTypography);
}, function (_a) {
    var secondary = _a.secondary, disabled = _a.disabled, theme = _a.theme;
    return secondary &&
        disabled && (0, styled_components_1.css)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n      padding: 14px 0;\n      border: 2px solid;\n      background: ", ";\n      color: ", ";\n    "], ["\n      padding: 14px 0;\n      border: 2px solid;\n      background: ", ";\n      color: ", ";\n    "])), theme.colors.background.primaryBackgroundColor, theme.colors.typography.disabled);
});
exports.Ripple = styled_components_1.default.span(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  width: 20px;\n  height: 20px;\n  position: absolute;\n  background-color: ", ";\n  display: block;\n  content: \"\";\n  border-radius: 9999px;\n  opacity: 1;\n  animation: 0.9s ease forwards ", ";\n\n  ", "\n"], ["\n  width: 20px;\n  height: 20px;\n  position: absolute;\n  background-color: ", ";\n  display: block;\n  content: \"\";\n  border-radius: 9999px;\n  opacity: 1;\n  animation: 0.9s ease forwards ", ";\n\n  ", "\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.button.clickPrimaryButton;
}, exports.RippleEffect, function (_a) {
    var secondary = _a.secondary, theme = _a.theme;
    return secondary && (0, styled_components_1.css)(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n      background-color: ", ";\n    "], ["\n      background-color: ", ";\n    "])), theme.colors.button.clickSecondaryButton);
});
exports.Content = styled_components_1.default.span(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  position: relative;\n  z-index: 2;\n"], ["\n  position: relative;\n  z-index: 2;\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9;
