"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Input = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var styled_1 = require("./styled");
var Input = function (_a) {
    var error = _a.error, success = _a.success, placeholderSize = _a.placeholderSize, secondary = _a.secondary, props = __rest(_a, ["error", "success", "placeholderSize", "secondary"]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(styled_1.StyledInput, __assign({}, props, { placeholderSize: placeholderSize, error: error, success: success, secondary: secondary }), void 0), !!error && (0, jsx_runtime_1.jsx)(styled_1.InputMessage, __assign({ type: 'error' }, { children: error }), void 0), !!success && (0, jsx_runtime_1.jsx)(styled_1.InputMessage, __assign({ type: 'success' }, { children: success }), void 0)] }, void 0));
};
exports.Input = Input;
exports.default = exports.Input;
