"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputMessage = exports.StyledInput = void 0;
var styled_components_1 = __importStar(require("styled-components"));
var is_success_svg_1 = __importDefault(require("../assets/is-success.svg"));
var is_error_svg_1 = __importDefault(require("../assets/is-error.svg"));
var search_svg_1 = __importDefault(require("../assets/search.svg"));
exports.StyledInput = styled_components_1.default.input(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  width: 100%;\n  height: 45px;\n  padding-left: ", ";\n  padding-right: ", ";\n\n  border: 1px solid;\n  border-color: ", ";\n  border-radius: 100px;\n  outline: none;\n\n  font-size: 16px;\n  font-weight: 500;\n  line-height: 19px;\n  font-family: ", ";\n  color: ", ";\n  background-color: ", ";\n\n  background-repeat: no-repeat;\n  background-position: 96% center;\n\n  ", "\n\n  ", "\n\n    ", "\n\n    ", "\n\n  ", "\n\n  &::placeholder {\n    font-size: ", ";\n    font-weight: 300;\n    line-height: 14px;\n    color: ", ";\n  }\n\n  &:focus {\n    border-color: ", ";\n  }\n\n  @media screen and (min-width: 768px) {\n    height: 52px;\n\n    &::placeholder {\n      font-size: 16px;\n    }\n  }\n"], ["\n  width: 100%;\n  height: 45px;\n  padding-left: ", ";\n  padding-right: ", ";\n\n  border: 1px solid;\n  border-color: ", ";\n  border-radius: 100px;\n  outline: none;\n\n  font-size: 16px;\n  font-weight: 500;\n  line-height: 19px;\n  font-family: ", ";\n  color: ", ";\n  background-color: ", ";\n\n  background-repeat: no-repeat;\n  background-position: 96% center;\n\n  ", "\n\n  ", "\n\n    ", "\n\n    ", "\n\n  ", "\n\n  &::placeholder {\n    font-size: ", ";\n    font-weight: 300;\n    line-height: 14px;\n    color: ", ";\n  }\n\n  &:focus {\n    border-color: ", ";\n  }\n\n  @media screen and (min-width: 768px) {\n    height: 52px;\n\n    &::placeholder {\n      font-size: 16px;\n    }\n  }\n"])), function (_a) {
    var placeholderSize = _a.placeholderSize;
    return placeholderSize ? '9.5px' : '20px';
}, function (_a) {
    var placeholderSize = _a.placeholderSize;
    return placeholderSize ? '9.5px' : '20px';
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.inputs.disabled;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
}, function (_a) {
    var theme = _a.theme, error = _a.error, success = _a.success;
    return error &&
        !success && (0, styled_components_1.css)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n      padding-right: 36px;\n      border-color: ", "};\n      background-image: url(", ");\n    "], ["\n      padding-right: 36px;\n      border-color: ", "};\n      background-image: url(", ");\n    "])), theme.colors.inputs.error, is_error_svg_1.default);
}, function (_a) {
    var theme = _a.theme, error = _a.error, success = _a.success;
    return !error &&
        success && (0, styled_components_1.css)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n      padding-right: 36px;\n      border-color: ", ";\n      background-image: url(", ");\n    "], ["\n      padding-right: 36px;\n      border-color: ", ";\n      background-image: url(", ");\n    "])), theme.colors.inputs.success, is_success_svg_1.default);
}, function (_a) {
    var theme = _a.theme, secondary = _a.secondary;
    return secondary && (0, styled_components_1.css)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n      background-color: ", ";\n      box-shadow: ", ";\n      border: none;\n    "], ["\n      background-color: ", ";\n      box-shadow: ", ";\n      border: none;\n    "])), function (_a) {
        var theme = _a.theme;
        return theme.colors.background.backgroundForm;
    }, theme.boxShadow.shadowCards);
}, function (_a) {
    var type = _a.type;
    return type === 'search' && (0, styled_components_1.css)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n      padding-left: 58px;\n      background-color: ", ";\n      background-image: url(", ");\n      background-position: 6% center;\n      @media screen and (min-width: 768px) {\n        background-position: 2% center;\n      }\n    "], ["\n      padding-left: 58px;\n      background-color: ", ";\n      background-image: url(", ");\n      background-position: 6% center;\n      @media screen and (min-width: 768px) {\n        background-position: 2% center;\n      }\n    "])), function (_a) {
        var theme = _a.theme;
        return theme.colors.background.backgroundForm;
    }, search_svg_1.default);
}, function (_a) {
    var type = _a.type, error = _a.error;
    return type === 'search' &&
        error && (0, styled_components_1.css)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n      padding-left: 58px;\n      background-image: url(", "), url(", ");\n      background-position: 6% center, 96% center;\n    "], ["\n      padding-left: 58px;\n      background-image: url(", "), url(", ");\n      background-position: 6% center, 96% center;\n    "])), search_svg_1.default, is_error_svg_1.default);
}, function (_a) {
    var placeholderSize = _a.placeholderSize;
    return placeholderSize ? "".concat(placeholderSize, "px") : '16px';
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.inputs.disabledTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.inputs.focus;
});
exports.InputMessage = styled_components_1.default.p(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  margin-top: 10px;\n  padding-left: 20px;\n  color: ", ";\n  font-family: ", ";\n"], ["\n  margin-top: 10px;\n  padding-left: 20px;\n  color: ", ";\n  font-family: ", ";\n"])), function (_a) {
    var theme = _a.theme, type = _a.type;
    return type === 'error' ? theme.colors.inputs.error : theme.colors.inputs.success;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;
