"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputMessage = exports.Option = exports.OptionsContainer = exports.SelectDefaultOption = exports.SelectContainer = exports.Container = void 0;
var styled_components_1 = __importStar(require("styled-components"));
exports.Container = styled_components_1.default.section(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100%;\n"], ["\n  width: 100%;\n"])));
exports.SelectContainer = styled_components_1.default.section(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  position: relative;\n  z-index: 6;\n  border-radius: ", ";\n  //\n  width: 100%;\n  padding: 11.5px 23px;\n  border: 1px solid\n    ", ";\n\n  font-family: ", ";\n  color: ", ";\n\n  background-color: ", ";\n  box-shadow: ", ";\n\n  transition: border 0.3s ease, box-shadow 0.3s ease-in-out, border-radius 0.3s ease-in-out;\n\n\n  &:focus {\n    border-color: ", ";\n  }\n\n  @media screen and (min-width: 768px) {\n    padding: 16.5px 23px;\n  }\n\n  ", "\n\n  ", "\n\n    ", "\n"], ["\n  position: relative;\n  z-index: 6;\n  border-radius: ", ";\n  //\n  width: 100%;\n  padding: 11.5px 23px;\n  border: 1px solid\n    ", ";\n\n  font-family: ", ";\n  color: ", ";\n\n  background-color: ", ";\n  box-shadow: ", ";\n\n  transition: border 0.3s ease, box-shadow 0.3s ease-in-out, border-radius 0.3s ease-in-out;\n\n\n  &:focus {\n    border-color: ", ";\n  }\n\n  @media screen and (min-width: 768px) {\n    padding: 16.5px 23px;\n  }\n\n  ", "\n\n  ", "\n\n    ", "\n"])), function (_a) {
    var isActive = _a.isActive;
    return (isActive ? '30px 30px 0 0' : '30px');
}, function (_a) {
    var theme = _a.theme, isActive = _a.isActive;
    return !isActive ? theme.colors.inputs.disabled : 'transparent';
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
}, function (_a) {
    var theme = _a.theme, isActive = _a.isActive;
    return isActive && theme.boxShadow.shadowCards;
}, function (_a) {
    var theme = _a.theme, isActive = _a.isActive;
    return !isActive && theme.colors.inputs.focus;
}, function (_a) {
    var theme = _a.theme, error = _a.error, success = _a.success;
    return error &&
        !success && (0, styled_components_1.css)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n      padding-right: 36px;\n      border-color: ", "};\n    "], ["\n      padding-right: 36px;\n      border-color: ", "};\n    "])), theme.colors.inputs.error);
}, function (_a) {
    var theme = _a.theme, error = _a.error, success = _a.success;
    return !error &&
        success && (0, styled_components_1.css)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n      padding-right: 36px;\n      border-color: ", ";\n    "], ["\n      padding-right: 36px;\n      border-color: ", ";\n    "])), theme.colors.inputs.success);
}, function (_a) {
    var theme = _a.theme, secondary = _a.secondary;
    return secondary && (0, styled_components_1.css)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n      box-shadow: ", ";\n      border: none;\n    "], ["\n      box-shadow: ", ";\n      border: none;\n    "])), theme.boxShadow.shadowCards);
});
exports.SelectDefaultOption = styled_components_1.default.button(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  position: relative;\n  text-align: start;\n  width: 100%;\n  border: none;\n\n  font-size: 16px;\n  font-weight: 500;\n  font-family: inherit;\n  line-height: 19px;\n  color: inherit;\n\n  background: none;\n  cursor: pointer;\n\n  &:after {\n    content: '';\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 10px;\n    height: 10px;\n    border: 2px solid;\n    border-color: ", ";\n\n    transform: ", ";\n\n    transition: transform 0.3s ease-in-out;\n  }\n"], ["\n  position: relative;\n  text-align: start;\n  width: 100%;\n  border: none;\n\n  font-size: 16px;\n  font-weight: 500;\n  font-family: inherit;\n  line-height: 19px;\n  color: inherit;\n\n  background: none;\n  cursor: pointer;\n\n  &:after {\n    content: '';\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 10px;\n    height: 10px;\n    border: 2px solid;\n    border-color: ", ";\n\n    transform: ", ";\n\n    transition: transform 0.3s ease-in-out;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return "transparent transparent ".concat(theme.colors.underline.primaryUnderline, " ").concat(theme.colors.underline.primaryUnderline);
}, function (_a) {
    var isActive = _a.isActive;
    return isActive ? 'rotate(-225deg) translateX(10px)' : 'rotate(-45deg)';
});
exports.OptionsContainer = styled_components_1.default.ul(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  position: absolute;\n  background-color: ", ";\n  width: ", ";\n  box-shadow: ", ";\n  border-radius: 0 0 30px 30px;\n  padding: 0 20px;\n  z-index: 5;\n  transform: translate(-24px);\n  //\n  height: ", ";\n  margin-top: ", ";\n  border-top: 1px solid\n    ", ";\n\n  list-style: none;\n  overflow: auto;\n\n  transition: height 0.3s ease-in-out, margin-top 0.3s ease-in-out,\n    border-top-color 0.5s ease, background-color 0.3s ease-in-out;\n  \n  &::-webkit-scrollbar {\n    display: none;\n  }\n\n  & li {\n    margin-bottom: 19px;\n\n    &:first-child {\n      margin-top: 18px;\n    }\n  }\n"], ["\n  position: absolute;\n  background-color: ", ";\n  width: ", ";\n  box-shadow: ", ";\n  border-radius: 0 0 30px 30px;\n  padding: 0 20px;\n  z-index: 5;\n  transform: translate(-24px);\n  //\n  height: ", ";\n  margin-top: ", ";\n  border-top: 1px solid\n    ", ";\n\n  list-style: none;\n  overflow: auto;\n\n  transition: height 0.3s ease-in-out, margin-top 0.3s ease-in-out,\n    border-top-color 0.5s ease, background-color 0.3s ease-in-out;\n  \n  &::-webkit-scrollbar {\n    display: none;\n  }\n\n  & li {\n    margin-bottom: 19px;\n\n    &:first-child {\n      margin-top: 18px;\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme, isActive = _a.isActive;
    return isActive ? theme.colors.background.backgroundCard : 'transparent';
}, function (_a) {
    var width = _a.width;
    return "".concat(width, "px");
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
}, function (_a) {
    var isActive = _a.isActive;
    return (isActive ? '133px' : '0');
}, function (_a) {
    var isActive = _a.isActive;
    return (isActive ? '14px' : '0');
}, function (_a) {
    var theme = _a.theme, isActive = _a.isActive;
    return isActive ? theme.colors.typography.disabled : 'transparent';
});
exports.Option = styled_components_1.default.button(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  border: none;\n  font-family: inherit;\n  color: inherit;\n  background: none;\n  cursor: pointer;\n"], ["\n  border: none;\n  font-family: inherit;\n  color: inherit;\n  background: none;\n  cursor: pointer;\n"])));
exports.InputMessage = styled_components_1.default.p(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  margin-top: 10px;\n  padding-left: 20px;\n  color: ", ";\n  font-family: ", ";\n"], ["\n  margin-top: 10px;\n  padding-left: 20px;\n  color: ", ";\n  font-family: ", ";\n"])), function (_a) {
    var theme = _a.theme, type = _a.type;
    return type === 'error' ? theme.colors.inputs.error : theme.colors.inputs.success;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9;
