"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputMessage = exports.CheckBox = exports.Label = exports.OptionsContainer = exports.SelectButton = exports.SelectContainer = exports.Container = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.Container = styled_components_1.default.section(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100%;\n"], ["\n  width: 100%;\n"])));
exports.SelectContainer = styled_components_1.default.section(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  position: relative;\n  z-index: 6;\n  border-radius: ", ";\n  //\n  width: 100%;\n  padding: 12.5px 20px;\n\n  font-size: 16px;\n  font-weight: 500;\n  line-height: 19px;\n  font-family: ", ";\n  color: ", ";\n\n  background-color: ", ";\n  box-shadow: ", ";\n  transition: border-radius 0.3s ease-in-out;\n\n  @media screen and (min-width: 768px) {\n    padding: 16.5px 20px;\n  }\n"], ["\n  position: relative;\n  z-index: 6;\n  border-radius: ", ";\n  //\n  width: 100%;\n  padding: 12.5px 20px;\n\n  font-size: 16px;\n  font-weight: 500;\n  line-height: 19px;\n  font-family: ", ";\n  color: ", ";\n\n  background-color: ", ";\n  box-shadow: ", ";\n  transition: border-radius 0.3s ease-in-out;\n\n  @media screen and (min-width: 768px) {\n    padding: 16.5px 20px;\n  }\n"])), function (_a) {
    var isActive = _a.isActive;
    return (isActive ? '30px 30px 0 0' : '30px');
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundForm;
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
});
exports.SelectButton = styled_components_1.default.button(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: relative;\n  text-align: start;\n  width: 100%;\n  border: none;\n\n  font-size: inherit;\n  font-weight: inherit;\n  font-family: inherit;\n  line-height: inherit;\n  color: inherit;\n\n  background: none;\n  cursor: pointer;\n\n  &:after {\n    content: '';\n    position: absolute;\n    top: 2px;\n    right: 0;\n    width: 10px;\n    height: 10px;\n    border: 2px solid;\n    border-color: ", ";\n\n    transform: ", ";\n\n    transition: transform 0.3s ease-in-out;\n  }\n"], ["\n  position: relative;\n  text-align: start;\n  width: 100%;\n  border: none;\n\n  font-size: inherit;\n  font-weight: inherit;\n  font-family: inherit;\n  line-height: inherit;\n  color: inherit;\n\n  background: none;\n  cursor: pointer;\n\n  &:after {\n    content: '';\n    position: absolute;\n    top: 2px;\n    right: 0;\n    width: 10px;\n    height: 10px;\n    border: 2px solid;\n    border-color: ", ";\n\n    transform: ", ";\n\n    transition: transform 0.3s ease-in-out;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return "transparent transparent ".concat(theme.colors.underline.primaryUnderline, " ").concat(theme.colors.underline.primaryUnderline);
}, function (_a) {
    var isActive = _a.isActive;
    return isActive ? 'rotate(-225deg) translateX(10px)' : 'rotate(-45deg)';
});
exports.OptionsContainer = styled_components_1.default.ul(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  position: absolute;\n  background-color: ", ";\n  width: ", ";\n  box-shadow: ", ";\n  border-radius: 0 0 30px 30px;\n  padding: 0 20px;\n  z-index: 5;\n  transform: translate(-20px);\n  //\n  height: ", ";\n  margin-top: ", ";\n  border-top: 1px solid\n    ", ";\n\n  list-style: none;\n  overflow: auto;\n\n  transition: height 0.3s ease-in-out, margin-top 0.3s ease-in-out,\n    border-top-color 0.5s ease, background-color 0.3s ease-in-out;\n\n  &::-webkit-scrollbar {\n    display: none;\n  }\n\n  & li {\n    margin-top: 23px;\n\n    &:first-child {\n      margin-top: 18.5px;\n    }\n  }\n\n  @media screen and (min-width: 768px) {\n    height: ", ";\n    margin-top: ", ";\n\n    & li {\n      margin-top: 19px;\n\n      &:first-child {\n        margin-top: 27px;\n      }\n    }\n  }\n"], ["\n  position: absolute;\n  background-color: ", ";\n  width: ", ";\n  box-shadow: ", ";\n  border-radius: 0 0 30px 30px;\n  padding: 0 20px;\n  z-index: 5;\n  transform: translate(-20px);\n  //\n  height: ", ";\n  margin-top: ", ";\n  border-top: 1px solid\n    ", ";\n\n  list-style: none;\n  overflow: auto;\n\n  transition: height 0.3s ease-in-out, margin-top 0.3s ease-in-out,\n    border-top-color 0.5s ease, background-color 0.3s ease-in-out;\n\n  &::-webkit-scrollbar {\n    display: none;\n  }\n\n  & li {\n    margin-top: 23px;\n\n    &:first-child {\n      margin-top: 18.5px;\n    }\n  }\n\n  @media screen and (min-width: 768px) {\n    height: ", ";\n    margin-top: ", ";\n\n    & li {\n      margin-top: 19px;\n\n      &:first-child {\n        margin-top: 27px;\n      }\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme, isActive = _a.isActive;
    return isActive ? theme.colors.background.backgroundForm : 'transparent';
}, function (_a) {
    var width = _a.width;
    return "".concat(width, "px");
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
}, function (_a) {
    var isActive = _a.isActive;
    return (isActive ? '140px' : '0');
}, function (_a) {
    var isActive = _a.isActive;
    return (isActive ? '13px' : '0');
}, function (_a) {
    var theme = _a.theme, isActive = _a.isActive;
    return isActive ? theme.colors.typography.disabled : 'transparent';
}, function (_a) {
    var isActive = _a.isActive;
    return (isActive ? '146px' : '0');
}, function (_a) {
    var isActive = _a.isActive;
    return (isActive ? '16px' : '0');
});
exports.Label = styled_components_1.default.label(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  position: relative;\n  padding-left: 30px;\n  cursor: pointer;\n\n  &::before {\n    content: '';\n    position: absolute;\n    top: 0;\n    left: 0;\n    width: 16px;\n    height: 16px;\n    border: 1px solid ", ";\n    border-radius: 2px;\n    background: transparent;\n  }\n"], ["\n  position: relative;\n  padding-left: 30px;\n  cursor: pointer;\n\n  &::before {\n    content: '';\n    position: absolute;\n    top: 0;\n    left: 0;\n    width: 16px;\n    height: 16px;\n    border: 1px solid ", ";\n    border-radius: 2px;\n    background: transparent;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.underline.primaryUnderline;
});
exports.CheckBox = styled_components_1.default.input(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  display: none;\n\n  &:checked + ", "::after {\n    content: '';\n    position: absolute;\n    top: 5px;\n    left: 5px;\n    width: 6px;\n    height: 4px;\n\n    border: 1px solid;\n    border-color: ", ";\n    transform: rotate(-55deg);\n  }\n"], ["\n  display: none;\n\n  &:checked + ", "::after {\n    content: '';\n    position: absolute;\n    top: 5px;\n    left: 5px;\n    width: 6px;\n    height: 4px;\n\n    border: 1px solid;\n    border-color: ", ";\n    transform: rotate(-55deg);\n  }\n"])), exports.Label, function (_a) {
    var theme = _a.theme;
    return "transparent transparent ".concat(theme.colors.underline.primaryUnderline, " ").concat(theme.colors.underline.primaryUnderline);
});
exports.InputMessage = styled_components_1.default.p(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  margin-top: 10px;\n  padding-left: 20px;\n  color: ", ";\n  font-family: ", ";\n"], ["\n  margin-top: 10px;\n  padding-left: 20px;\n  color: ", ";\n  font-family: ", ";\n"])), function (_a) {
    var theme = _a.theme, type = _a.type;
    return type === 'error' ? theme.colors.inputs.error : theme.colors.inputs.success;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;
