"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CardOurServices = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var svgc_1 = require("../../svgc/");
var atoms_1 = require("../../atoms");
var styled_1 = require("./styled");
var CardOurServices = function (_a) {
    var title = _a.title, details = _a.details, icon = _a.icon, props = __rest(_a, ["title", "details", "icon"]);
    return ((0, jsx_runtime_1.jsxs)(styled_1.CardContainer, __assign({}, props, { children: [(0, jsx_runtime_1.jsxs)(styled_1.TitleContainer, { children: [icon ? (0, jsx_runtime_1.jsx)("img", { src: icon, alt: title }, void 0) : (0, jsx_runtime_1.jsx)(svgc_1.ServicesIcon, {}, void 0), (0, jsx_runtime_1.jsx)(styled_1.Title, { children: title }, void 0)] }, void 0), (0, jsx_runtime_1.jsx)(styled_1.List, { children: details.map(function (detail) { return ((0, jsx_runtime_1.jsx)(styled_1.Item, { children: (0, jsx_runtime_1.jsx)(atoms_1.TickWithText, { text: detail, fontSize: 16 }, void 0) }, detail)); }) }, void 0)] }), void 0));
};
exports.CardOurServices = CardOurServices;
exports.default = exports.CardOurServices;
