"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownFQA = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var svgc_1 = require("../../svgc");
var styled_1 = require("./styled");
var DropdownFQA = function (_a) {
    var questions = _a.questions, props = __rest(_a, ["questions"]);
    var _b = (0, react_1.useState)(''), active = _b[0], setActive = _b[1];
    var handleClick = function (question) {
        if (active === question)
            setActive('');
        else
            setActive(question);
    };
    return ((0, jsx_runtime_1.jsx)(styled_1.CardContainer, __assign({}, props, { children: (0, jsx_runtime_1.jsx)(styled_1.List, { children: questions.map(function (_a) {
                var name = _a.name, content = _a.content;
                return ((0, jsx_runtime_1.jsxs)("li", { children: [(0, jsx_runtime_1.jsxs)(styled_1.ContainerQuestion, __assign({ onClick: function () { return handleClick(name); } }, { children: [(0, jsx_runtime_1.jsx)(styled_1.Question, { children: name }, void 0), (0, jsx_runtime_1.jsx)(styled_1.ButtonQuestion, __assign({ type: 'button', isOpen: active === name }, { children: (0, jsx_runtime_1.jsx)(svgc_1.UpArrowIcon, {}, void 0) }), void 0)] }), void 0), (0, jsx_runtime_1.jsx)(styled_1.Answer, __assign({ isOpen: active === name }, { children: content }), void 0)] }, name));
            }) }, void 0) }), void 0));
};
exports.DropdownFQA = DropdownFQA;
exports.default = exports.DropdownFQA;
