"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Share = exports.BlogButton = exports.ContainerButtons = exports.Content = exports.Time = exports.TimeContainer = exports.Title = exports.CardBody = exports.Img = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var atoms_1 = require("../../atoms/");
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  max-width: 1278px;\n  border-radius: 40px ;\n  background-color: ", ";\n"], ["\n  display: flex;\n  max-width: 1278px;\n  border-radius: 40px ;\n  background-color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
});
exports.Img = styled_components_1.default.img(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: block;\n  width: 479px;\n  height: 380px;\n  border-radius: 40px;\n  margin-right: 47px;\n  cursor: pointer;\n"], ["\n  display: block;\n  width: 479px;\n  height: 380px;\n  border-radius: 40px;\n  margin-right: 47px;\n  cursor: pointer;\n"])));
exports.CardBody = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: relative;\n"], ["\n  position: relative;\n"])));
exports.Title = styled_components_1.default.h3(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin-bottom: 14px;\n  font-family: ", ";\n  color: ", ";\n  font-size: 30px;\n  font-weight: 700;\n  line-height: 35px;\n"], ["\n  margin-bottom: 14px;\n  font-family: ", ";\n  color: ", ";\n  font-size: 30px;\n  font-weight: 700;\n  line-height: 35px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.TimeContainer = styled_components_1.default.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  display: flex;\n  margin-bottom: 33px;\n  font-size: 16px;\n  color: ", ";\n"], ["\n  display: flex;\n  margin-bottom: 33px;\n  font-size: 16px;\n  color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.secondaryTypography;
});
exports.Time = styled_components_1.default.div(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  margin-right: 27px;\n  font-size: 16px;\n  font-family: ", ";\n  color: ", ";\n\n  & time {\n    margin-left: 8px;\n  }\n"], ["\n  display: flex;\n  align-items: center;\n  margin-right: 27px;\n  font-size: 16px;\n  font-family: ", ";\n  color: ", ";\n\n  & time {\n    margin-left: 8px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.Content = styled_components_1.default.p(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  width: 745px;\n  font-size: 18px;\n  font-weight: 300;\n  line-height: 30px;\n  font-family: ", ";\n  color: ", ";\n"], ["\n  width: 745px;\n  font-size: 18px;\n  font-weight: 300;\n  line-height: 30px;\n  font-family: ", ";\n  color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.ContainerButtons = styled_components_1.default.div(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  position: absolute;\n  bottom: 0;\n  display: flex;\n  justify-content: start;\n  align-items: center;\n"], ["\n  position: absolute;\n  bottom: 0;\n  display: flex;\n  justify-content: start;\n  align-items: center;\n"])));
exports.BlogButton = (0, styled_components_1.default)(atoms_1.Button)(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  padding: 8px 49px;\n  /* margin-bottom: 0; */\n  margin-right: 20px;\n"], ["\n  padding: 8px 49px;\n  /* margin-bottom: 0; */\n  margin-right: 20px;\n"])));
exports.Share = styled_components_1.default.div(templateObject_10 || (templateObject_10 = __makeTemplateObject(["\n  display: flex;\n  gap: 10px;\n"], ["\n  display: flex;\n  gap: 10px;\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9, templateObject_10;
