"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OtherVacanciesButton = exports.CenterButton = exports.Location = exports.Position = exports.Title = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var atoms_1 = require("../../atoms/");
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100%;\n  max-width: 458px;\n  height: auto;\n  padding: 30px 28px 20px;\n  border-radius: 30px;\n  background-color: ", ";\n  box-shadow: ", ";\n\n  @media screen and (min-width: 768px) {\n    padding: 24px 48px;\n  }\n"], ["\n  width: 100%;\n  max-width: 458px;\n  height: auto;\n  padding: 30px 28px 20px;\n  border-radius: 30px;\n  background-color: ", ";\n  box-shadow: ", ";\n\n  @media screen and (min-width: 768px) {\n    padding: 24px 48px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
});
exports.Title = styled_components_1.default.h3(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  text-align: center;\n  margin-bottom: 21px;\n  font-family: 'Raleway', sans-serif;\n  font-size: 22px;\n  font-weight: 700;\n  line-height: 26px;\n  color: ", ";\n  font-family: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 30px;\n    font-size: 25px;\n    line-height: 29px;\n  }\n"], ["\n  text-align: center;\n  margin-bottom: 21px;\n  font-family: 'Raleway', sans-serif;\n  font-size: 22px;\n  font-weight: 700;\n  line-height: 26px;\n  color: ", ";\n  font-family: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 30px;\n    font-size: 25px;\n    line-height: 29px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
});
exports.Position = styled_components_1.default.p(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  margin-bottom: -0.5px;\n  font-size: 18px;\n  font-weight: 400;\n  line-height: 30px;\n  color: ", ";\n  font-family: ", ";\n"], ["\n  margin-bottom: -0.5px;\n  font-size: 18px;\n  font-weight: 400;\n  line-height: 30px;\n  color: ", ";\n  font-family: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
});
exports.Location = styled_components_1.default.p(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin-bottom: 18px;\n  font-size: 16px;\n  font-weight: 300;\n  line-height: 30px;\n  color: ", ";\n  font-family: ", ";\n"], ["\n  margin-bottom: 18px;\n  font-size: 16px;\n  font-weight: 300;\n  line-height: 30px;\n  color: ", ";\n  font-family: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.filterTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
});
exports.CenterButton = styled_components_1.default.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  text-align: center;\n"], ["\n  text-align: center;\n"])));
exports.OtherVacanciesButton = (0, styled_components_1.default)(atoms_1.Button)(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  padding: 8px;\n\n  @media screen and (min-width: 768px) {\n    margin: 9px 70px;\n    padding: 6px;\n    width: 220px;\n  }\n"], ["\n  padding: 8px;\n\n  @media screen and (min-width: 768px) {\n    margin: 9px 70px;\n    padding: 6px;\n    width: 220px;\n  }\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6;
