"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServicesCard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable jsx-a11y/no-static-element-interactions */
/* eslint-disable jsx-a11y/click-events-have-key-events */
/* eslint-disable react/require-default-props */
var react_1 = require("react");
var atoms_1 = require("../../atoms");
var svgc_1 = require("../../svgc");
var styled_1 = require("./styled");
var useOnClickOutside_1 = require("./helpers/useOnClickOutside");
var ServicesCard = function (_a) {
    var plan = _a.plan, price = _a.price, advise = _a.advise, quoteAdvise = _a.quoteAdvise, includeTitle = _a.includeTitle, include = _a.include, button = _a.button, btnOnClick = _a.btnOnClick;
    var _b = (0, react_1.useState)(false), tooltipIsActive = _b[0], setTooltipIsActive = _b[1];
    var toolTip = (0, react_1.useRef)(null);
    var handleTooltipIsActive = function () { return setTooltipIsActive(!tooltipIsActive); };
    (0, useOnClickOutside_1.useOnClickOutside)(toolTip, function () { return setTooltipIsActive(false); });
    return ((0, jsx_runtime_1.jsx)(styled_1.CardContainer, __assign({ plan: plan }, { children: (0, jsx_runtime_1.jsxs)(styled_1.CardDetail, { children: [(0, jsx_runtime_1.jsx)(styled_1.Price, { children: price }, void 0), (0, jsx_runtime_1.jsxs)(styled_1.PayContainer, __assign({ quoteAdvise: quoteAdvise, isActive: tooltipIsActive }, { children: [(0, jsx_runtime_1.jsx)("div", __assign({ ref: toolTip, onClick: function () { return handleTooltipIsActive(); } }, { children: (0, jsx_runtime_1.jsx)(svgc_1.InfoIcon, {}, void 0) }), void 0), (0, jsx_runtime_1.jsx)(styled_1.Pay, { children: advise }, void 0)] }), void 0), (0, jsx_runtime_1.jsx)(styled_1.TitleList, { children: includeTitle }, void 0), (0, jsx_runtime_1.jsx)(styled_1.List, { children: include.map(function (detail) { return ((0, jsx_runtime_1.jsx)(styled_1.Item, { children: (0, jsx_runtime_1.jsx)(atoms_1.TickWithText, { text: detail, fontSize: 14 }, void 0) }, detail)); }) }, void 0), (0, jsx_runtime_1.jsx)(styled_1.ServicesButton, __assign({ secondary: true, weight: 500, size: 22, onClick: btnOnClick }, { children: button }), void 0)] }, void 0) }), void 0));
};
exports.ServicesCard = ServicesCard;
exports.default = exports.ServicesCard;
