"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Social = exports.Title = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  text-align: center;\n  width: 100%;\n  max-width: 458px;\n  padding: 23px 44px 31px;\n  border-radius: 30px;\n\n  font-family: ", ";\n  color: ", ";\n\n  background-color: ", ";\n  box-shadow: ", ";\n"], ["\n  text-align: center;\n  width: 100%;\n  max-width: 458px;\n  padding: 23px 44px 31px;\n  border-radius: 30px;\n\n  font-family: ", ";\n  color: ", ";\n\n  background-color: ", ";\n  box-shadow: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
});
exports.Title = styled_components_1.default.h3(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  margin-bottom: 21px;\n\n  font-family: ", ";\n  font-size: 18px;\n  font-weight: 700;\n  line-height: 21px;\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 30px;\n    font-size: 25px;\n    line-height: 29px;\n  }\n"], ["\n  margin-bottom: 21px;\n\n  font-family: ", ";\n  font-size: 18px;\n  font-weight: 700;\n  line-height: 21px;\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 30px;\n    font-size: 25px;\n    line-height: 29px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
});
exports.Social = styled_components_1.default.ul(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  display: flex;\n  justify-content: space-between;\n  list-style: none;\n\n  & svg {\n    @media screen and (min-width: 768px) {\n      width: 50px;\n    }\n  }\n"], ["\n  display: flex;\n  justify-content: space-between;\n  list-style: none;\n\n  & svg {\n    @media screen and (min-width: 768px) {\n      width: 50px;\n    }\n  }\n"])));
var templateObject_1, templateObject_2, templateObject_3;
