"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SmallBlogCard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var styled_1 = require("./styled");
var svgc_1 = require("../../svgc/");
var SmallBlogCard = function (_a) {
    var img = _a.img, title = _a.title, date = _a.date, howLong = _a.howLong, content = _a.content, tags = _a.tags, imgOnClick = _a.imgOnClick, props = __rest(_a, ["img", "title", "date", "howLong", "content", "tags", "imgOnClick"]);
    return ((0, jsx_runtime_1.jsxs)(styled_1.CardContainer, __assign({}, props, { children: [(0, jsx_runtime_1.jsx)(styled_1.Img, { src: img || './assets/blog/blog-img.svg', alt: title, onClick: imgOnClick }, void 0), (0, jsx_runtime_1.jsxs)(styled_1.CardBody, { children: [(0, jsx_runtime_1.jsx)(styled_1.Title, { children: title }, void 0), (0, jsx_runtime_1.jsxs)(styled_1.TimeContainer, { children: [(0, jsx_runtime_1.jsxs)(styled_1.Time, { children: [(0, jsx_runtime_1.jsx)(svgc_1.CalendarIcon, {}, void 0), (0, jsx_runtime_1.jsx)("time", { children: date }, void 0)] }, void 0), (0, jsx_runtime_1.jsxs)(styled_1.Time, { children: [(0, jsx_runtime_1.jsx)(svgc_1.ClockIcon, {}, void 0), (0, jsx_runtime_1.jsx)("time", { children: howLong }, void 0)] }, void 0)] }, void 0), (0, jsx_runtime_1.jsx)(styled_1.Content, { children: content }, void 0), tags.map(function (tag) { return ((0, jsx_runtime_1.jsx)(styled_1.Tag, { children: "#".concat(tag) }, tag)); })] }, void 0)] }), void 0));
};
exports.SmallBlogCard = SmallBlogCard;
exports.default = exports.SmallBlogCard;
