"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TeamCard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var SocialNetworkButton_1 = require("../../atoms/socialNetworkButton/SocialNetworkButton");
var styled_1 = require("./styled");
var TeamCard = function (_a) {
    var rol = _a.rol, image = _a.image, name = _a.name, profession = _a.profession, social = _a.social, props = __rest(_a, ["rol", "image", "name", "profession", "social"]);
    return ((0, jsx_runtime_1.jsxs)(styled_1.CardContainer, __assign({ rol: rol }, props, { children: [(0, jsx_runtime_1.jsx)(styled_1.Img, { src: image, alt: name }, void 0), (0, jsx_runtime_1.jsx)(styled_1.Title, { children: name }, void 0), (0, jsx_runtime_1.jsx)(styled_1.Content, { children: profession }, void 0), (0, jsx_runtime_1.jsx)(styled_1.Social, { children: social.map(function (socials) { return ((0, jsx_runtime_1.jsx)(SocialNetworkButton_1.SocialNetworkButton, { socialNetwork: socials.name, to: socials.to, size: socials.size || 45 }, socials.name)); }) }, void 0)] }), void 0));
};
exports.TeamCard = TeamCard;
exports.default = exports.TeamCard;
