"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Blockquote = exports.Stars = exports.Title = exports.Img = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n  width: 100%;\n  max-width: 417px;\n  height: auto;\n  padding: 26px 42px;\n  border-radius: 40px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n\n  &::before {\n    content: ", ";\n    position: absolute;\n    top: -24px;\n    right: 34px;\n  }\n\n  @media screen and (min-width: 768px) {\n    padding: 50px 40px 38px 40px;\n  }\n"], ["\n  position: relative;\n  width: 100%;\n  max-width: 417px;\n  height: auto;\n  padding: 26px 42px;\n  border-radius: 40px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n\n  &::before {\n    content: ", ";\n    position: absolute;\n    top: -24px;\n    right: 34px;\n  }\n\n  @media screen and (min-width: 768px) {\n    padding: 50px 40px 38px 40px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
}, function (_a) {
    var quotes = _a.quotes;
    return quotes ? "url(".concat(quotes, ")") : 'url(./assets/testimonials/quotes.svg)';
});
exports.Img = styled_components_1.default.img(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: block;\n  width: 52px;\n  margin: 0 auto 15px;\n  border-radius: 50%;\n\n  @media screen and (min-width: 768px) {\n    width: 70px;\n    margin-bottom: 21px;\n  }\n"], ["\n  display: block;\n  width: 52px;\n  margin: 0 auto 15px;\n  border-radius: 50%;\n\n  @media screen and (min-width: 768px) {\n    width: 70px;\n    margin-bottom: 21px;\n  }\n"])));
exports.Title = styled_components_1.default.h3(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  text-align: center;\n  margin-bottom: 1px;\n  font-size: 18px;\n  font-weight: 700;\n  color: ", ";\n  font-family: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 10px;\n  }\n"], ["\n  text-align: center;\n  margin-bottom: 1px;\n  font-size: 18px;\n  font-weight: 700;\n  color: ", ";\n  font-family: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 10px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
});
exports.Stars = styled_components_1.default.div(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  text-align: center;\n  margin-bottom: 24px\n  svg {\n    margin-top: 4px;\n    width: 16px;\n  }\n\n  @media screen and (min-width: 768px) {\n    width: 18;\n    margin-bottom: 30px;\n    & svg {\n      width: 20px;\n    }\n  }\n"], ["\n  text-align: center;\n  margin-bottom: 24px\n  svg {\n    margin-top: 4px;\n    width: 16px;\n  }\n\n  @media screen and (min-width: 768px) {\n    width: 18;\n    margin-bottom: 30px;\n    & svg {\n      width: 20px;\n    }\n  }\n"])));
exports.Blockquote = styled_components_1.default.blockquote(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  padding-bottom: 20px;\n  font-size: 14px;\n  font-weight: 400;\n  line-height: 24px;\n  font-family: ", ";\n  color: ", ";\n"], ["\n  padding-bottom: 20px;\n  font-size: 14px;\n  font-weight: 400;\n  line-height: 24px;\n  font-family: ", ";\n  color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
