import { FC, HTMLAttributes, MouseEventHandler } from 'react';
export interface Props extends HTMLAttributes<HTMLDivElement> {
    title: string;
    positionKey: string;
    positionValue: string;
    locationKey: string;
    locationValue: string;
    btnValue: string;
    btnOnClick?: MouseEventHandler<HTMLButtonElement> | undefined;
}
export declare const VacancyCard: FC<Props>;
export default VacancyCard;
