"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListMission = exports.ListValuesAndVision = exports.Title = exports.TitleContainer = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100%;\n  max-width: 589px;\n  border-radius: 40px;\n\n  font-family: ", ";\n  color: ", ";\n\n  background-color: ", ";\n  box-shadow: ", ";\n  overflow: hidden;\n"], ["\n  width: 100%;\n  max-width: 589px;\n  border-radius: 40px;\n\n  font-family: ", ";\n  color: ", ";\n\n  background-color: ", ";\n  box-shadow: ", ";\n  overflow: hidden;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.background.secondaryBackgroundColor;
}, function (_a) {
    var theme = _a.theme;
    return theme.title === 'LIGHT' ? '0px 4px 20px 0px #0025541A' : '0px 4px 20px 0px #FFFFFF26';
});
exports.TitleContainer = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  padding-top: 18px;\n  padding-bottom: 13px;\n  box-shadow: ", ";\n  background-color: ", ";\n"], ["\n  display: flex;\n  padding-top: 18px;\n  padding-bottom: 13px;\n  box-shadow: ", ";\n  background-color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
});
exports.Title = styled_components_1.default.button(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: relative;\n  text-align: center;\n  width: 33%;\n  padding-left: 10px;\n\n  font-family: ", ";\n  font-weight: 700;\n  font-size: 16px;\n  line-height: 24px;\n  color: ", ";\n\n  background: none;\n  border: none;\n  cursor: pointer;\n\n  &::after {\n    content: '';\n    position: absolute;\n    left: 50%;\n    bottom: -30px;\n    transform: translateX(-50%);\n    border-left: 12px solid transparent;\n    border-right: 12px solid transparent;\n    border-top: 28px solid\n      ", ";\n  }\n\n  &:nth-child(2) {\n    border-left: 1px solid ", ";\n    border-right: 1px solid ", ";\n  }\n\n  @media screen and (min-width: 768px) {\n    font-size: 20px;\n    line-height: 30px;\n\n    &::after {\n      bottom: -34px;\n    }\n  }\n"], ["\n  position: relative;\n  text-align: center;\n  width: 33%;\n  padding-left: 10px;\n\n  font-family: ", ";\n  font-weight: 700;\n  font-size: 16px;\n  line-height: 24px;\n  color: ", ";\n\n  background: none;\n  border: none;\n  cursor: pointer;\n\n  &::after {\n    content: '';\n    position: absolute;\n    left: 50%;\n    bottom: -30px;\n    transform: translateX(-50%);\n    border-left: 12px solid transparent;\n    border-right: 12px solid transparent;\n    border-top: 28px solid\n      ", ";\n  }\n\n  &:nth-child(2) {\n    border-left: 1px solid ", ";\n    border-right: 1px solid ", ";\n  }\n\n  @media screen and (min-width: 768px) {\n    font-size: 20px;\n    line-height: 30px;\n\n    &::after {\n      bottom: -34px;\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
}, function (_a) {
    var active = _a.active, theme = _a.theme;
    return active ? theme.colors.button.hoverPrimaryButton : theme.colors.typography.primaryTypography;
}, function (_a) {
    var active = _a.active, theme = _a.theme;
    return active ? theme.colors.background.backgroundCard : 'transparent';
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundNavSwitcher;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundNavSwitcher;
});
exports.ListValuesAndVision = styled_components_1.default.ul(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  padding: 29px 40px;\n  list-style: none;\n  font-size: 16px;\n  font-weight: 400;\n  line-height: 27.5px;\n\n  & li span svg {\n    width: 22px;\n  }\n\n  @media screen and (min-width: 768px) {\n    padding: 48px 40px 58px;\n    line-height: 18.3px;\n\n    & li span svg {\n      width: 26.5px;\n    }\n  }\n"], ["\n  padding: 29px 40px;\n  list-style: none;\n  font-size: 16px;\n  font-weight: 400;\n  line-height: 27.5px;\n\n  & li span svg {\n    width: 22px;\n  }\n\n  @media screen and (min-width: 768px) {\n    padding: 48px 40px 58px;\n    line-height: 18.3px;\n\n    & li span svg {\n      width: 26.5px;\n    }\n  }\n"])));
exports.ListMission = styled_components_1.default.ul(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  padding: 29px 40px;\n  list-style: none;\n\n  & p {\n    margin-bottom: 20px;\n    font-size: 16px;\n    font-weight: 400;\n    line-height: 25px;\n  }\n\n  @media screen and (min-width: 768px) {\n    padding-top: 48px;\n    line-height: 18.3px;\n  }\n"], ["\n  padding: 29px 40px;\n  list-style: none;\n\n  & p {\n    margin-bottom: 20px;\n    font-size: 16px;\n    font-weight: 400;\n    line-height: 25px;\n  }\n\n  @media screen and (min-width: 768px) {\n    padding-top: 48px;\n    line-height: 18.3px;\n  }\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
