"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Content = exports.Img = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.CardContainer = styled_components_1.default.section(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n    display: flex;\n    flex-wrap: wrap;\n    justify-content: space-between;\n    align-items: center;\n    max-width: 1280px;\n    margin: 0 auto;\n"], ["\n    display: flex;\n    flex-wrap: wrap;\n    justify-content: space-between;\n    align-items: center;\n    max-width: 1280px;\n    margin: 0 auto;\n"])));
exports.Img = styled_components_1.default.img(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n    width: 300px;\n    margin: 0 auto 40px;\n\n    @media screen and (min-width: 379px) {\n        width: 340px;\n    }\n    @media screen and (min-width: 1100px) {\n        width: 480px;\n        margin: 0;\n    }\n    @media screen and (min-width: 1360px) {\n        width: 545px;\n        margin: 0;\n    }\n"], ["\n    width: 300px;\n    margin: 0 auto 40px;\n\n    @media screen and (min-width: 379px) {\n        width: 340px;\n    }\n    @media screen and (min-width: 1100px) {\n        width: 480px;\n        margin: 0;\n    }\n    @media screen and (min-width: 1360px) {\n        width: 545px;\n        margin: 0;\n    }\n"])));
exports.Content = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n    max-width: 603px;\n    font-size: 16px;\n    font-weight: 300;\n    line-height: 30px;\n    margin: 0 auto;\n    padding-top: 28px;\n    color: ", ";\n    font-family: ", ";\n\n    @media screen and (min-width: 1180px) {\n        margin: 0;\n        line-height: 28px;\n\n        & p {\n        margin-bottom: 20px;\n        }\n    }\n"], ["\n    max-width: 603px;\n    font-size: 16px;\n    font-weight: 300;\n    line-height: 30px;\n    margin: 0 auto;\n    padding-top: 28px;\n    color: ", ";\n    font-family: ", ";\n\n    @media screen and (min-width: 1180px) {\n        margin: 0;\n        line-height: 28px;\n\n        & p {\n        margin-bottom: 20px;\n        }\n    }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
});
var templateObject_1, templateObject_2, templateObject_3;
