"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules/");
exports.default = {
    title: 'Molecules/AssociationCard',
    component: molecules_1.AssociationCard,
    argTypes: {
        title: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        text: {
            description: 'All content text in the card.'
        },
        buttonValue: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the text in the button.'
        },
        btnOnClick: {
            action: function () { return alert('Primary Button'); },
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the button onClick event handler in the card.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.AssociationCard, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    title: 'Asociación 1',
    text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis',
    buttonValue: 'Más información',
    btnOnClick: function () { return alert('Primary Button'); }
};
