"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules/");
exports.default = {
    title: 'Molecules/OtherVacanciesCard',
    component: molecules_1.OtherVacanciesCard,
    argTypes: {
        title: {
            control: 'text', type: { name: 'string', required: false },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        otherVacancies: {
            description: 'All content of vacancies in the card.'
        },
        btnValue: {
            control: 'text', type: { name: 'string', required: false },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the text in the button.'
        },
        btnOnClick: {
            action: function () { return alert('Primary Button'); },
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the button onClick event handler in the card.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.OtherVacanciesCard, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    title: 'Otras vacantes',
    otherVacancies: [
        { id: '1', position: 'Community Manager /  Freelance', location: 'Remoto' },
        { id: '2', position: 'UX UI Sr / Freelance', location: 'Remoto' },
        { id: '3', position: 'Full Stack - React Native / Freelance', location: 'Remoto' }
    ],
    btnValue: 'Más información',
    btnOnClick: function () { return alert('Primary Button'); }
};
