"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules");
var proyect_png_1 = __importDefault(require("../assets/proyect.png"));
exports.default = {
    title: 'Molecules/ProjectCard',
    component: molecules_1.ProjectCard,
    argTypes: {
        img: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the image in the card.'
        },
        title: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title of the proyect in the card.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.ProjectCard, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    img: proyect_png_1.default,
    title: 'CyC Constructora'
};
