"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules");
exports.default = {
    title: 'Molecules/ShareCard',
    component: molecules_1.ShareCard,
    argTypes: {
        title: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.ShareCard, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    title: 'Comparti esta vacante',
    social: [
        { name: 'twitter', to: ' https://www.facebook.com', size: 45 },
        { name: 'linkedin', to: ' https://www.facebook.com', size: 45 },
        { name: 'pinterest', to: ' https://www.facebook.com', size: 45 },
        { name: 'facebook', to: ' https://www.facebook.com', size: 45 },
        { name: 'whatsapp', to: ' https://www.facebook.com', size: 45 },
    ],
};
