"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules/");
var diego_jpg_1 = __importDefault(require("../assets/diego.jpg"));
var quotes_svg_1 = __importDefault(require("../assets/quotes.svg"));
exports.default = {
    title: 'Molecules/TestimonialCard',
    component: molecules_1.TestimonialCard,
    argTypes: {
        quotes: {
            control: 'text', type: { name: 'string', required: false },
            table: { defaultValue: { summary: './assets/testimonials/quotes.svg' } },
            description: 'These are the card quotes'
        },
        name: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the name in the card.'
        },
        photo: {
            description: 'This is the photo in the card.'
        },
        text: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the text in the card.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.TestimonialCard, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    quotes: quotes_svg_1.default,
    name: 'Diego Wagner',
    photo: diego_jpg_1.default,
    text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas viverra sed suspendisse ac vitae mi augue odio dignissim. Velit pellentesque est morbi mauris aliquet at nullam sed. Id semper convallis turpis vel cras feugiat adipiscing. Donec sit elit libero orci. Pellentesque lectus rutrum cursus ut at faucibus felis sit ultrices. Habitasse donec libero nulla mi enim. Bibendum velit quam quis congue magna. Mauris, accumsan in cras eget.'
};
