"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules");
exports.default = {
    title: 'Molecules/UnderlineFilter',
    component: molecules_1.UnderlineFilter,
    argTypes: {
        titles: {
            table: { defaultValue: { summary: 'string' } },
            description: 'These are the titles.'
        },
        setWhoIsActive: { description: 'This is the state setter that can be sent to it to know which one is active using a setState.' }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.UnderlineFilter, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    titles: ["Desarrollo web", "Apps mobile", "Diseño gráfico", "Diseño UX-UI", "Marketing", "Redes sociales", "SEO", "Packs"],
};
