"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var useEventListener_1 = __importDefault(require("./hooks/useEventListener"));
var styled_1 = require("./styled");
var Button = function (_a) {
    var children = _a.children, args = __rest(_a, ["children"]);
    var ButtonRef = (0, react_1.useRef)(null);
    var _b = (0, react_1.useState)({ x: -1, y: -1 }), coords = _b[0], setCoords = _b[1];
    var _c = (0, react_1.useState)(false), isRippling = _c[0], setIsRippling = _c[1];
    (0, react_1.useEffect)(function () {
        if (coords.x !== -1 && coords.y !== -1) {
            setIsRippling(true);
            setTimeout(function () { return setIsRippling(false); }, 300);
        }
        else
            setIsRippling(false);
    }, [coords]);
    (0, react_1.useEffect)(function () {
        if (!isRippling)
            setCoords({ x: -1, y: -1 });
    }, [isRippling]);
    var handleOnClick = function (event) {
        var rect = event.target.getBoundingClientRect();
        setCoords({ x: event.clientX - rect.left, y: event.clientY - rect.top });
    };
    (0, useEventListener_1.default)('click', handleOnClick, ButtonRef);
    return ((0, jsx_runtime_1.jsxs)(styled_1.StyledButton, __assign({ ref: ButtonRef }, args, { children: [isRippling ? ((0, jsx_runtime_1.jsx)(styled_1.Ripple, __assign({}, args, { style: { left: coords.x, top: coords.y } }), void 0)) : (''), (0, jsx_runtime_1.jsx)(styled_1.Content, { children: children }, void 0)] }), void 0));
};
exports.Button = Button;
exports.default = exports.Button;
