import { FC, InputHTMLAttributes, Dispatch, SetStateAction } from 'react';
export interface Countries {
    name: string;
    dialCode: string;
    isoCode: string;
    flag: string;
}
export interface Props extends InputHTMLAttributes<HTMLInputElement> {
    error?: string;
    success?: string;
    countries: Countries[];
    getPrefix?: Dispatch<SetStateAction<string>>;
    onChangeValue: (val: string) => void;
}
export declare const InputPhone: FC<Props>;
export default InputPhone;
