import { FC } from 'react';
export declare enum SocialNetwork {
    facebook = "facebook",
    twitter = "twitter",
    instagram = "instagram",
    linkedin = "linkedin",
    telegram = "telegram",
    tiktok = "tiktok",
    twitch = "twitch",
    youtube = "youtube",
    pinterest = "pinterest",
    github = "github",
    behance = "behance",
    web = "web",
    whatsapp = "whatsapp"
}
export interface Props extends React.AnchorHTMLAttributes<HTMLAnchorElement> {
    socialNetwork: SocialNetwork | string;
    to?: string;
    size: number;
}
export declare const SocialNetworkButton: FC<Props>;
export default SocialNetworkButton;
