"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Title = exports.BackgroundTitle = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.CardContainer = styled_components_1.default.section(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  position: relative;\n  width: 100%;\n  font-family: ", ";\n"], ["\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  position: relative;\n  width: 100%;\n  font-family: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
});
exports.BackgroundTitle = styled_components_1.default.h2(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  text-align: center;\n  font-size: 42px;\n  font-weight: 100;\n  line-height: 105px;\n  color: ", ";\n\n  @media screen and (min-width: 520px) {\n    font-size: 70px;\n    line-height: 170px;\n  }\n\n  @media screen and (min-width: 768px) {\n    font-size: 100px;\n    line-height: 200px;\n  }\n  @media screen and (min-width: 1000px) {\n    font-size: 140px;\n    line-height: 270px;\n  }\n  @media screen and (min-width: 1268px) {\n    font-size: 180px;\n    line-height: 270px;\n  }\n"], ["\n  text-align: center;\n  font-size: 42px;\n  font-weight: 100;\n  line-height: 105px;\n  color: ", ";\n\n  @media screen and (min-width: 520px) {\n    font-size: 70px;\n    line-height: 170px;\n  }\n\n  @media screen and (min-width: 768px) {\n    font-size: 100px;\n    line-height: 200px;\n  }\n  @media screen and (min-width: 1000px) {\n    font-size: 140px;\n    line-height: 270px;\n  }\n  @media screen and (min-width: 1268px) {\n    font-size: 180px;\n    line-height: 270px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.alphaTypography;
});
exports.Title = styled_components_1.default.p(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: absolute;\n  text-align: center;\n  width: 100%;\n\n  color: ", ";\n\n  font-size: 25px;\n\n  font-weight: 700;\n  line-height: 29px;\n\n  @media screen and (min-width: 950px) {\n    font-size: 35px;\n    line-height: 41px;\n  }\n"], ["\n  position: absolute;\n  text-align: center;\n  width: 100%;\n\n  color: ", ";\n\n  font-size: 25px;\n\n  font-weight: 700;\n  line-height: 29px;\n\n  @media screen and (min-width: 950px) {\n    font-size: 35px;\n    line-height: 41px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
var templateObject_1, templateObject_2, templateObject_3;
