"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssociationButton = exports.Content = exports.Title = exports.ContentContainer = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var atoms_1 = require("../../atoms");
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  display: flex;\n  flex-wrap: nowrap;\n  width: 100%;\n  max-width: 550px;\n  padding: 4px 10px 4px 24px;\n\n  svg {\n    width: 50px;\n  }\n"], ["\n  display: flex;\n  flex-wrap: nowrap;\n  width: 100%;\n  max-width: 550px;\n  padding: 4px 10px 4px 24px;\n\n  svg {\n    width: 50px;\n  }\n"])));
exports.ContentContainer = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  margin-left: 12px;\n"], ["\n  margin-left: 12px;\n"])));
exports.Title = styled_components_1.default.h3(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  margin-bottom: 10px;\n  font-size: 22px;\n  font-weight: 700;\n  line-height: 26px;\n  font-family: ", ";\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 10px;\n    font-size: 25px;\n    line-height: 29px;\n  }\n"], ["\n  margin-bottom: 10px;\n  font-size: 22px;\n  font-weight: 700;\n  line-height: 26px;\n  font-family: ", ";\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 10px;\n    font-size: 25px;\n    line-height: 29px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.Content = styled_components_1.default.p(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin-bottom: 12px;\n  font-size: 16px;\n  font-weight: 300;\n  line-height: 28px;\n  font-family: ", ";\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 10px;\n    font-size: 18px;\n    line-height: 30px;\n  }\n"], ["\n  margin-bottom: 12px;\n  font-size: 16px;\n  font-weight: 300;\n  line-height: 28px;\n  font-family: ", ";\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 10px;\n    font-size: 18px;\n    line-height: 30px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.AssociationButton = (0, styled_components_1.default)(atoms_1.Button)(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  padding: 7px 31px;\n"], ["\n  padding: 7px 31px;\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
