"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BigBlogCard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var svgc_1 = require("../../svgc");
var atoms_1 = require("../../atoms");
var SocialNetworkButton_1 = require("../../atoms/socialNetworkButton/SocialNetworkButton");
var styled_1 = require("./styled");
var BigBlogCard = function (_a) {
    var img = _a.img, title = _a.title, date = _a.date, howLong = _a.howLong, content = _a.content, btnValue = _a.btnValue, imgOnClick = _a.imgOnClick, btnOnClick = _a.btnOnClick;
    return ((0, jsx_runtime_1.jsxs)(styled_1.CardContainer, { children: [(0, jsx_runtime_1.jsx)(styled_1.Img, { src: img, alt: title, onClick: imgOnClick }, void 0), (0, jsx_runtime_1.jsxs)(styled_1.CardBody, { children: [(0, jsx_runtime_1.jsx)(styled_1.Title, { children: title }, void 0), (0, jsx_runtime_1.jsxs)(styled_1.TimeContainer, { children: [(0, jsx_runtime_1.jsxs)(styled_1.Time, { children: [(0, jsx_runtime_1.jsx)(svgc_1.CalendarIcon, { width: 20 }, void 0), (0, jsx_runtime_1.jsx)("time", { children: date }, void 0)] }, void 0), (0, jsx_runtime_1.jsxs)(styled_1.Time, { children: [(0, jsx_runtime_1.jsx)(svgc_1.ClockIcon, { width: 22 }, void 0), (0, jsx_runtime_1.jsx)("time", { children: howLong }, void 0)] }, void 0)] }, void 0), (0, jsx_runtime_1.jsx)(styled_1.Content, { children: content.map(function (cont, i) { return ((i <= 1) &&
                            (0, jsx_runtime_1.jsxs)("p", { children: [" ", cont, " "] }, cont)); }) }, void 0), (0, jsx_runtime_1.jsxs)(styled_1.ContainerButtons, { children: [(0, jsx_runtime_1.jsx)(styled_1.BlogButton, __assign({ secondary: true, weight: 500, onClick: btnOnClick }, { children: btnValue }), void 0), (0, jsx_runtime_1.jsxs)(styled_1.Share, { children: [(0, jsx_runtime_1.jsx)(atoms_1.SocialNetworkButton, { socialNetwork: SocialNetworkButton_1.SocialNetwork.twitter, size: 42 }, void 0), (0, jsx_runtime_1.jsx)(atoms_1.SocialNetworkButton, { socialNetwork: SocialNetworkButton_1.SocialNetwork.facebook, size: 42 }, void 0), (0, jsx_runtime_1.jsx)(atoms_1.SocialNetworkButton, { socialNetwork: SocialNetworkButton_1.SocialNetwork.instagram, size: 42 }, void 0), (0, jsx_runtime_1.jsx)(atoms_1.SocialNetworkButton, { socialNetwork: SocialNetworkButton_1.SocialNetwork.linkedin, size: 42 }, void 0)] }, void 0)] }, void 0)] }, void 0)] }, void 0));
};
exports.BigBlogCard = BigBlogCard;
exports.default = exports.BigBlogCard;
