"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Item = exports.List = exports.Title = exports.TitleContainer = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100%;\n  height: 100%;\n  max-width: 390px;\n  padding: 35px 44px 28px;\n  border-radius: 30px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n\n  @media screen and (min-width: 768px) {\n    padding: 35px 54px 36px;\n  }\n"], ["\n  width: 100%;\n  height: 100%;\n  max-width: 390px;\n  padding: 35px 44px 28px;\n  border-radius: 30px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n\n  @media screen and (min-width: 768px) {\n    padding: 35px 54px 36px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
});
exports.TitleContainer = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: flex;\n  align-items: flex-start;\n  margin-bottom: 12px;\n\n  font-size: 20px;\n  font-weight: 700;\n  line-height: 30px;\n  font-family: ", ";\n  color: ", ";\n\n  img {\n    margin-right: 16px;\n  }\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 18px;\n    font-size: 22px;\n    line-height: 33px;\n\n    & svg {\n      width: 48px;\n    }\n  }\n"], ["\n  display: flex;\n  align-items: flex-start;\n  margin-bottom: 12px;\n\n  font-size: 20px;\n  font-weight: 700;\n  line-height: 30px;\n  font-family: ", ";\n  color: ", ";\n\n  img {\n    margin-right: 16px;\n  }\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 18px;\n    font-size: 22px;\n    line-height: 33px;\n\n    & svg {\n      width: 48px;\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.Title = styled_components_1.default.p(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  font-family: ", ";\n  margin-left: 6px;\n"], ["\n  font-family: ", ";\n  margin-left: 6px;\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
});
exports.List = styled_components_1.default.ul(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  list-style: none;\n\n  @media screen and (min-width: 768px) {\n    margin-left: 12px;\n  }\n"], ["\n  list-style: none;\n\n  @media screen and (min-width: 768px) {\n    margin-left: 12px;\n  }\n"])));
exports.Item = styled_components_1.default.li(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  margin-bottom: 7.2px;\n  line-height: 18.75px;\n"], ["\n  margin-bottom: 7.2px;\n  line-height: 18.75px;\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
