"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Content = exports.Title = exports.CardBody = exports.Img = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100%;\n  max-width: 520px;\n  padding: 15px 29px 48px;\n  border-radius: 40px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n"], ["\n  width: 100%;\n  max-width: 520px;\n  padding: 15px 29px 48px;\n  border-radius: 40px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
});
exports.Img = styled_components_1.default.img(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  margin-bottom: -6px;\n  height: 98px;\n\n  @media screen and (min-width: 768px) {\n    width: 117px;\n    margin-bottom: -10px;\n  }\n"], ["\n  margin-bottom: -6px;\n  height: 98px;\n\n  @media screen and (min-width: 768px) {\n    width: 117px;\n    margin-bottom: -10px;\n  }\n"])));
exports.CardBody = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  margin: 0;\n\n  @media screen and (min-width: 768px) {\n    padding: 0 8px 26px 31px;\n  }\n"], ["\n  margin: 0;\n\n  @media screen and (min-width: 768px) {\n    padding: 0 8px 26px 31px;\n  }\n"])));
exports.Title = styled_components_1.default.h3(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin-bottom: 10px;\n  font-family: ", ";\n  font-size: 25px;\n  font-weight: 700;\n  line-height: 30px;\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 16px;\n    font-size: 25px;\n    line-height: 37.5px;\n  }\n"], ["\n  margin-bottom: 10px;\n  font-family: ", ";\n  font-size: 25px;\n  font-weight: 700;\n  line-height: 30px;\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 16px;\n    font-size: 25px;\n    line-height: 37.5px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.Content = styled_components_1.default.p(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  margin-bottom: 14px;\n  font-size: 16px;\n  font-weight: 300;\n  line-height: 27px;\n  color: ", ";\n  font-family: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 8px;\n    font-size: 18px;\n    line-height: 26px;\n  }\n"], ["\n  margin-bottom: 14px;\n  font-size: 16px;\n  font-weight: 300;\n  line-height: 27px;\n  color: ", ";\n  font-family: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 8px;\n    font-size: 18px;\n    line-height: 26px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
