"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Answer = exports.ButtonQuestion = exports.Question = exports.ContainerQuestion = exports.List = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100%;\n  padding: 12px 33px 8px;\n  border-radius: 40px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n"], ["\n  width: 100%;\n  padding: 12px 33px 8px;\n  border-radius: 40px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
});
exports.List = styled_components_1.default.ul(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  list-style: none;\n\n  li {\n    border-bottom: 1px solid ", ";\n    &:last-child {\n      border-bottom: none;\n    }\n  }\n"], ["\n  list-style: none;\n\n  li {\n    border-bottom: 1px solid ", ";\n    &:last-child {\n      border-bottom: none;\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.alphaTypography;
});
exports.ContainerQuestion = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  padding: 20px 0 17.5px;\n  cursor: pointer;\n\n  @media screen and (min-width: 768px) {\n    padding-bottom: 27px;\n  }\n"], ["\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  padding: 20px 0 17.5px;\n  cursor: pointer;\n\n  @media screen and (min-width: 768px) {\n    padding-bottom: 27px;\n  }\n"])));
exports.Question = styled_components_1.default.h3(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  font-size: 18px;\n  line-height: 21px;\n  font-weight: 600;\n  font-family: ", ";\n  color: ", ";\n  cursor: pointer;\n\n  @media screen and (min-width: 768px) {\n    font-size: 28px;\n    line-height: 33px;\n  }\n"], ["\n  font-size: 18px;\n  line-height: 21px;\n  font-weight: 600;\n  font-family: ", ";\n  color: ", ";\n  cursor: pointer;\n\n  @media screen and (min-width: 768px) {\n    font-size: 28px;\n    line-height: 33px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.ButtonQuestion = styled_components_1.default.button(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  border: none;\n  background-color: transparent;\n  transform: rotate(", ");\n  transition: transform 0.3s ease-in-out;\n  cursor: pointer;\n\n  & span svg {\n    width: 30px;\n    path {\n      stroke: ", ";\n    }\n  }\n\n  @media screen and (min-width: 768px) {\n    /* padding: 19px 8px 26px 31px; */\n  }\n"], ["\n  border: none;\n  background-color: transparent;\n  transform: rotate(", ");\n  transition: transform 0.3s ease-in-out;\n  cursor: pointer;\n\n  & span svg {\n    width: 30px;\n    path {\n      stroke: ", ";\n    }\n  }\n\n  @media screen and (min-width: 768px) {\n    /* padding: 19px 8px 26px 31px; */\n  }\n"])), function (_a) {
    var isOpen = _a.isOpen;
    return (isOpen ? '0' : '180deg');
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.button.activeTertiaryLink;
});
exports.Answer = styled_components_1.default.p(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  max-height: ", ";\n  margin-bottom: ", ";\n  font-family: ", ";\n  color: ", ";\n  overflow: hidden;\n  transition: max-height 0.5s ease-in-out, margin-bottom 0.5s ease-in-out;\n"], ["\n  max-height: ", ";\n  margin-bottom: ", ";\n  font-family: ", ";\n  color: ", ";\n  overflow: hidden;\n  transition: max-height 0.5s ease-in-out, margin-bottom 0.5s ease-in-out;\n"])), function (_a) {
    var isOpen = _a.isOpen;
    return (isOpen ? '300px' : '0');
}, function (_a) {
    var isOpen = _a.isOpen;
    return (isOpen ? '30px' : '0');
}, function (_a) {
    var theme = _a.theme;
    return (theme.fonts.primary);
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6;
