"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeadingVacancyCard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var styled_1 = require("./styled");
var HeadingVacancyCard = function (_a) {
    var image = _a.image, position = _a.position, btnValue = _a.btnValue, btnOnClick = _a.btnOnClick, props = __rest(_a, ["image", "position", "btnValue", "btnOnClick"]);
    return ((0, jsx_runtime_1.jsxs)(styled_1.CardContainer, __assign({}, props, { children: [(0, jsx_runtime_1.jsxs)(styled_1.TitleContainer, { children: [(0, jsx_runtime_1.jsx)("img", { src: image || './assets/upway.svg', alt: position }, void 0), (0, jsx_runtime_1.jsx)(styled_1.Vacant, { children: position }, void 0)] }, void 0), (0, jsx_runtime_1.jsx)(styled_1.VacantButton, __assign({ width: 100, weight: 500, onClick: btnOnClick }, { children: btnValue || 'Postularse' }), void 0)] }), void 0));
};
exports.HeadingVacancyCard = HeadingVacancyCard;
exports.default = exports.HeadingVacancyCard;
