"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VacantButton = exports.Vacant = exports.TitleContainer = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var atoms_1 = require("../../atoms/");
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n    display: flex;\n    flex-direction: column;\n    align-items: center;\n\n    width: 100%;\n    max-width: 1280px;\n    padding: 21px 20px 14px;\n    border-radius: 30px;\n\n    background-color: ", ";\n    box-shadow: ", ";\n\n    @media screen and (min-width: 768px) {\n        flex-direction: row;\n        justify-content: space-between;\n        padding: 26px 30px;\n\n        & img {\n        width: 60px;\n        }\n    }\n"], ["\n    display: flex;\n    flex-direction: column;\n    align-items: center;\n\n    width: 100%;\n    max-width: 1280px;\n    padding: 21px 20px 14px;\n    border-radius: 30px;\n\n    background-color: ", ";\n    box-shadow: ", ";\n\n    @media screen and (min-width: 768px) {\n        flex-direction: row;\n        justify-content: space-between;\n        padding: 26px 30px;\n\n        & img {\n        width: 60px;\n        }\n    }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
});
exports.TitleContainer = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n    display: flex;\n    align-items: center;\n    margin-bottom: 24px;\n\n    @media screen and (min-width: 768px) {\n        margin: 0;\n    }\n"], ["\n    display: flex;\n    align-items: center;\n    margin-bottom: 24px;\n\n    @media screen and (min-width: 768px) {\n        margin: 0;\n    }\n"])));
exports.Vacant = styled_components_1.default.h3(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n    margin-left: 12px;\n    font-family: ", ";\n    color: ", ";\n    font-size: 20px;\n    font-weight: 700;\n    line-height: 23.5px;\n\n    @media screen and (min-width: 768px) {\n        margin-left: 28px;\n    }\n"], ["\n    margin-left: 12px;\n    font-family: ", ";\n    color: ", ";\n    font-size: 20px;\n    font-weight: 700;\n    line-height: 23.5px;\n\n    @media screen and (min-width: 768px) {\n        margin-left: 28px;\n    }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.VacantButton = (0, styled_components_1.default)(atoms_1.Button)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n    margin: 0;\n    padding-top: 10px;\n    padding-bottom: 10px;\n\n    @media screen and (min-width: 768px) {\n        width: 217px;\n    }\n"], ["\n    margin: 0;\n    padding-top: 10px;\n    padding-bottom: 10px;\n\n    @media screen and (min-width: 768px) {\n        width: 217px;\n    }\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
