"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OtherVacanciesCard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var styled_1 = require("./styled");
var OtherVacanciesCard = function (_a) {
    var title = _a.title, otherVacancies = _a.otherVacancies, btnValue = _a.btnValue, btnOnClick = _a.btnOnClick, props = __rest(_a, ["title", "otherVacancies", "btnValue", "btnOnClick"]);
    return ((0, jsx_runtime_1.jsxs)(styled_1.CardContainer, __assign({}, props, { children: [(0, jsx_runtime_1.jsx)(styled_1.Title, { children: title || 'Otras vacantes' }, void 0), otherVacancies.map(function (_a) {
                var id = _a.id, position = _a.position, location = _a.location;
                return ((0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)(styled_1.Position, { children: position }, void 0), (0, jsx_runtime_1.jsx)(styled_1.Location, { children: location }, void 0)] }, id));
            }), (0, jsx_runtime_1.jsx)(styled_1.CenterButton, { children: (0, jsx_runtime_1.jsx)(styled_1.OtherVacanciesButton, __assign({ secondary: true, weight: 500, size: 18, onClick: btnOnClick }, { children: btnValue || 'Ver todas' }), void 0) }, void 0)] }), void 0));
};
exports.OtherVacanciesCard = OtherVacanciesCard;
exports.default = exports.OtherVacanciesCard;
