"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Title = exports.Description = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100%;\n  height: 264px;\n  @media screen and (min-width: 768px) {\n    width: 50%;\n    height: 498px;\n  }\n\n  background: ", ";\n"], ["\n  width: 100%;\n  height: 264px;\n  @media screen and (min-width: 768px) {\n    width: 50%;\n    height: 498px;\n  }\n\n  background: ", ";\n"])), function (_a) {
    var img = _a.img;
    return "center / cover no-repeat url('".concat(img, "')");
});
exports.Description = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  height: 100%;\n  padding: 24px 36px;\n  opacity: 0;\n  transition: all ease-in-out 0.5s;\n\n  &:hover {\n    background-color: ", ";\n    opacity: 1;\n  }\n"], ["\n  height: 100%;\n  padding: 24px 36px;\n  opacity: 0;\n  transition: all ease-in-out 0.5s;\n\n  &:hover {\n    background-color: ", ";\n    opacity: 1;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.title === 'DARK' ? 'rgba(0, 0, 0, 0.5)' : 'rgba(245, 245, 245, 0.3)';
});
exports.Title = styled_components_1.default.h3(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  position: relative;\n  top: 96%;\n  text-align: center;\n  margin-bottom: 12px;\n\n  font-size: 20px;\n  font-weight: 700;\n  font-family: ", ";\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    font-size: 30px;\n  }\n"], ["\n  position: relative;\n  top: 96%;\n  text-align: center;\n  margin-bottom: 12px;\n\n  font-size: 20px;\n  font-weight: 700;\n  font-family: ", ";\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    font-size: 30px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
var templateObject_1, templateObject_2, templateObject_3;
