"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServicesButton = exports.Item = exports.List = exports.TitleList = exports.Pay = exports.PayContainer = exports.Price = exports.CardDetail = exports.CardContainer = void 0;
var styled_components_1 = __importStar(require("styled-components"));
var atoms_1 = require("../../atoms/");
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100%;\n  max-width: 393px;\n  border-radius: 40px;\n  padding: 30px 0 0;\n  height: 100%;\n  position: relative;\n\n  font-size: 18px;\n  font-weight: 500;\n  line-height: 21px;\n  box-shadow: ", ";\n\n  &:before {\n    content: '", "';\n    position: absolute;\n    text-align: center;\n    height: 80px;\n    width: 100%;\n    max-width: 393px;\n    border-radius: 40px 40px 0 0;\n    transform: translateY(-30px);\n    padding-top: 8px;\n\n    font-size: 18px;\n    font-weight: 500;\n    line-height: 21px;\n    font-family: ", ";\n    color: ", ";\n    box-shadow: ", ";\n    background: ", ";\n    z-index: -1;\n  }\n"], ["\n  width: 100%;\n  max-width: 393px;\n  border-radius: 40px;\n  padding: 30px 0 0;\n  height: 100%;\n  position: relative;\n\n  font-size: 18px;\n  font-weight: 500;\n  line-height: 21px;\n  box-shadow: ", ";\n\n  &:before {\n    content: '", "';\n    position: absolute;\n    text-align: center;\n    height: 80px;\n    width: 100%;\n    max-width: 393px;\n    border-radius: 40px 40px 0 0;\n    transform: translateY(-30px);\n    padding-top: 8px;\n\n    font-size: 18px;\n    font-weight: 500;\n    line-height: 21px;\n    font-family: ", ";\n    color: ", ";\n    box-shadow: ", ";\n    background: ", ";\n    z-index: -1;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
}, function (_a) {
    var plan = _a.plan;
    return plan;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.button.buttonTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.gradient.gradient;
});
exports.CardDetail = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  text-align: start;\n  border-radius: 40px;\n  margin-top: 8px;\n  padding: 45px 40px 20px;\n\n  background-color: ", ";\n"], ["\n  text-align: start;\n  border-radius: 40px;\n  margin-top: 8px;\n  padding: 45px 40px 20px;\n\n  background-color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
});
exports.Price = styled_components_1.default.h3(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  margin-bottom: 6px;\n  font-size: 40px;\n  font-weight: 700;\n  line-height: 47px;\n  font-family: ", ";\n  color: ", ";\n"], ["\n  margin-bottom: 6px;\n  font-size: 40px;\n  font-weight: 700;\n  line-height: 47px;\n  font-family: ", ";\n  color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.PayContainer = styled_components_1.default.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  margin-bottom: 48px;\n  font-family: ", ";\n\n  ", "\n  svg {\n    cursor: pointer;\n  }\n  & svg path {\n    fill: ", ";\n  }\n"], ["\n  display: flex;\n  align-items: center;\n  margin-bottom: 48px;\n  font-family: ", ";\n\n  ", "\n  svg {\n    cursor: pointer;\n  }\n  & svg path {\n    fill: ", ";\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var isActive = _a.isActive, quoteAdvise = _a.quoteAdvise;
    return isActive && (0, styled_components_1.css)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n      div:before {\n      content: '", "';\n      font-size: 12px;\n      max-width: 300px;\n      position: absolute;\n      height: auto;\n      width: auto;\n      transform: translate(-30px, 28px);\n      background: ", ";\n      color: ", ";\n      border-radius: 40px;\n      padding: 16px 30px;\n      opacity: 0.95;\n      box-shadow: ", ";\n    }\n    :after {\n      content: '';\n      position: absolute;\n      border-style: solid;\n      border-width: 0 8px 8px 8px;\n      border-color: transparent transparent\n        ", " transparent;\n      opacity: 0.9;\n      transform: translate(-2px, 14px);\n    }\n  }\n    "], ["\n      div:before {\n      content: '", "';\n      font-size: 12px;\n      max-width: 300px;\n      position: absolute;\n      height: auto;\n      width: auto;\n      transform: translate(-30px, 28px);\n      background: ", ";\n      color: ", ";\n      border-radius: 40px;\n      padding: 16px 30px;\n      opacity: 0.95;\n      box-shadow: ", ";\n    }\n    :after {\n      content: '';\n      position: absolute;\n      border-style: solid;\n      border-width: 0 8px 8px 8px;\n      border-color: transparent transparent\n        ", " transparent;\n      opacity: 0.9;\n      transform: translate(-2px, 14px);\n    }\n  }\n    "])), quoteAdvise, function (_a) {
        var theme = _a.theme;
        return theme.colors.background.backgroundNavSwitcher;
    }, function (_a) {
        var theme = _a.theme;
        return theme.colors.typography.primaryTypography;
    }, function (_a) {
        var theme = _a.theme;
        return theme.boxShadow.shadowNav;
    }, function (_a) {
        var theme = _a.theme;
        return theme.colors.background.backgroundNavSwitcher;
    });
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.filterTypography;
});
exports.Pay = styled_components_1.default.span(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  margin-left: 4px;\n  font-size: 14px;\n  font-weight: 400;\n  line-height: 16px;\n  color: ", ";\n"], ["\n  margin-left: 4px;\n  font-size: 14px;\n  font-weight: 400;\n  line-height: 16px;\n  color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.filterTypography;
});
exports.TitleList = styled_components_1.default.h4(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  margin-bottom: 13px;\n  font-size: 16px;\n  font-weight: 500;\n  line-height: 19px;\n  font-family: ", ";\n  color: ", ";\n  \n  @media screen and (min-width: 768px) {\n    height: 32px;\n    margin-bottom: 0px;\n  }\n"], ["\n  margin-bottom: 13px;\n  font-size: 16px;\n  font-weight: 500;\n  line-height: 19px;\n  font-family: ", ";\n  color: ", ";\n  \n  @media screen and (min-width: 768px) {\n    height: 32px;\n    margin-bottom: 0px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.List = styled_components_1.default.ul(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  margin-bottom: 47px;\n  list-style: none;\n"], ["\n  margin-bottom: 47px;\n  list-style: none;\n"])));
exports.Item = styled_components_1.default.li(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  margin-bottom: 4.5px;\n"], ["\n  margin-bottom: 4.5px;\n"])));
exports.ServicesButton = (0, styled_components_1.default)(atoms_1.Button)(templateObject_10 || (templateObject_10 = __makeTemplateObject(["\n  padding: 7px;\n  @media screen and (min-width: 768px) {\n    width: 100%;\n  }\n"], ["\n  padding: 7px;\n  @media screen and (min-width: 768px) {\n    width: 100%;\n  }\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9, templateObject_10;
