"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tag = exports.Content = exports.Time = exports.TimeContainer = exports.Title = exports.CardBody = exports.Img = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100%;\n  max-width: 406px;\n  height: auto;\n  border-radius: 40px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n\n  @media screen and (min-width: 768px) {\n    height: auto;\n  }\n"], ["\n  width: 100%;\n  max-width: 406px;\n  height: auto;\n  border-radius: 40px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n\n  @media screen and (min-width: 768px) {\n    height: auto;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
});
exports.Img = styled_components_1.default.img(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: block;\n  width: 100%;\n  object-fit: cover;\n  margin-bottom: 2px;\n  cursor: pointer;\n  border-radius: 40px 40px 0 0;\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: -1px;\n  }\n"], ["\n  display: block;\n  width: 100%;\n  object-fit: cover;\n  margin-bottom: 2px;\n  cursor: pointer;\n  border-radius: 40px 40px 0 0;\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: -1px;\n  }\n"])));
exports.CardBody = styled_components_1.default.div(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  padding: 18px 20px 26px 22px;\n  @media screen and (min-width: 768px) {\n    padding: 19px 8px 26px 31px;\n  }\n"], ["\n  padding: 18px 20px 26px 22px;\n  @media screen and (min-width: 768px) {\n    padding: 19px 8px 26px 31px;\n  }\n"])));
exports.Title = styled_components_1.default.h3(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin-bottom: 5px;\n  font-family: ", ";\n  font-size: 20px;\n  font-weight: 700;\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 10.5px;\n    font-size: 24px;\n  }\n"], ["\n  margin-bottom: 5px;\n  font-family: ", ";\n  font-size: 20px;\n  font-weight: 700;\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 10.5px;\n    font-size: 24px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.TimeContainer = styled_components_1.default.div(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  display: flex;\n  margin-bottom: 19px;\n  font-size: 14px;\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 20px;\n  }\n"], ["\n  display: flex;\n  margin-bottom: 19px;\n  font-size: 14px;\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 20px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.secondaryTypography;
});
exports.Time = styled_components_1.default.div(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  display: flex;\n  align-items: center;\n  margin-right: 27px;\n  font-family: ", ";\n\n  img, svg {\n    width: 17px;\n    margin-right: 6px;\n  }\n"], ["\n  display: flex;\n  align-items: center;\n  margin-right: 27px;\n  font-family: ", ";\n\n  img, svg {\n    width: 17px;\n    margin-right: 6px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
});
exports.Content = styled_components_1.default.p(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  margin-bottom: 14px;\n  font-size: 16px;\n  font-weight: 300;\n  line-height: 25px;\n  color: ", ";\n  font-family: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 8px;\n  }\n"], ["\n  margin-bottom: 14px;\n  font-size: 16px;\n  font-weight: 300;\n  line-height: 25px;\n  color: ", ";\n  font-family: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 8px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
});
exports.Tag = styled_components_1.default.span(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  margin-right: 4px;\n  font-size: 14px;\n  font-weight: 300;\n  color: ", ";\n  font-family: ", ";\n"], ["\n  margin-right: 4px;\n  font-size: 14px;\n  font-weight: 300;\n  color: ", ";\n  font-family: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.secondaryTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8;
