"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Social = exports.Content = exports.Title = exports.Img = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  text-align: center;\n  width: 100%;\n  max-width: 595px;\n  padding-bottom: 30px;\n  border-radius: 40px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n\n  &::before {\n    content: '", "';\n    position: relative;\n    top: -25px;\n\n    font-family: ", ";\n    font-size: 34px;\n    font-weight: 600;\n    line-height: 51px;\n    -webkit-text-stroke: 1px ", ";\n    color: ", ";\n\n    @media screen and (min-width: 768px) {\n      top: -50px;\n      font-size: 68px;\n      line-height: 102px;\n    }\n  }\n  @media screen and (min-width: 768px) {\n    padding-bottom: 52px;\n  }\n"], ["\n  text-align: center;\n  width: 100%;\n  max-width: 595px;\n  padding-bottom: 30px;\n  border-radius: 40px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n\n  &::before {\n    content: '", "';\n    position: relative;\n    top: -25px;\n\n    font-family: ", ";\n    font-size: 34px;\n    font-weight: 600;\n    line-height: 51px;\n    -webkit-text-stroke: 1px ", ";\n    color: ", ";\n\n    @media screen and (min-width: 768px) {\n      top: -50px;\n      font-size: 68px;\n      line-height: 102px;\n    }\n  }\n  @media screen and (min-width: 768px) {\n    padding-bottom: 52px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
}, function (_a) {
    var rol = _a.rol;
    return rol;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.alphaTypography;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
});
exports.Img = styled_components_1.default.img(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  display: block;\n  margin: 0 auto 17px;\n  border-radius: 50%;\n  max-width: 90px;\n  object-fit: cover;\n\n  @media screen and (min-width: 768px) {\n    margin-top: -28px;\n    margin-bottom: 20px;\n  }\n"], ["\n  display: block;\n  margin: 0 auto 17px;\n  border-radius: 50%;\n  max-width: 90px;\n  object-fit: cover;\n\n  @media screen and (min-width: 768px) {\n    margin-top: -28px;\n    margin-bottom: 20px;\n  }\n"])));
exports.Title = styled_components_1.default.h3(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  margin-bottom: 8px;\n\n  font-family: ", ";\n  color: ", ";\n  font-size: 18px;\n  font-weight: 600;\n  line-height: 27px;\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: -1px;\n    font-size: 25px;\n    line-height: 37.5px;\n  }\n"], ["\n  margin-bottom: 8px;\n\n  font-family: ", ";\n  color: ", ";\n  font-size: 18px;\n  font-weight: 600;\n  line-height: 27px;\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: -1px;\n    font-size: 25px;\n    line-height: 37.5px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.secondary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.Content = styled_components_1.default.p(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin-bottom: 33px;\n  font-size: 16px;\n  font-weight: 300;\n  line-height: 24px;\n  font-family: ", ";\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 28px;\n    font-size: 20px;\n    line-height: 30px;\n  }\n"], ["\n  margin-bottom: 33px;\n  font-size: 16px;\n  font-weight: 300;\n  line-height: 24px;\n  font-family: ", ";\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 28px;\n    font-size: 20px;\n    line-height: 30px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.Social = styled_components_1.default.section(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  display: flex;\n  justify-content: center;\n  gap: 20px;\n"], ["\n  display: flex;\n  justify-content: center;\n  gap: 20px;\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5;
