"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnderlineFilter = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var atoms_1 = require("../../atoms/");
var styled_1 = require("./styled");
var UnderlineFilter = function (_a) {
    var titles = _a.titles, setWhoIsActive = _a.setWhoIsActive, props = __rest(_a, ["titles", "setWhoIsActive"]);
    var _b = (0, react_1.useState)(titles[0] || ''), isActiveButton = _b[0], setIsActiveButton = _b[1];
    var handleSetIsActiveButton = function (title) { return isActiveButton !== title && setIsActiveButton(title); };
    (0, react_1.useEffect)(function () { return setWhoIsActive && setWhoIsActive(isActiveButton); }, [isActiveButton]);
    return ((0, jsx_runtime_1.jsx)(styled_1.ButtonContainer, __assign({}, props, { children: titles.map(function (title) { return ((0, jsx_runtime_1.jsx)(atoms_1.UnderlineButton, __assign({ onClick: function () { return handleSetIsActiveButton(title); }, isActive: title === isActiveButton }, { children: title }), title)); }) }), void 0));
};
exports.UnderlineFilter = UnderlineFilter;
exports.default = exports.UnderlineFilter;
