"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VacancyCard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var styled_1 = require("./styled");
var VacancyCard = function (_a) {
    var title = _a.title, positionKey = _a.positionKey, positionValue = _a.positionValue, locationKey = _a.locationKey, locationValue = _a.locationValue, btnValue = _a.btnValue, btnOnClick = _a.btnOnClick, args = __rest(_a, ["title", "positionKey", "positionValue", "locationKey", "locationValue", "btnValue", "btnOnClick"]);
    return ((0, jsx_runtime_1.jsxs)(styled_1.CardContainer, __assign({}, args, { children: [(0, jsx_runtime_1.jsx)(styled_1.Title, { children: title }, void 0), (0, jsx_runtime_1.jsxs)(styled_1.Paragraph, { children: [positionKey || 'Position', ": ", (0, jsx_runtime_1.jsx)("span", { children: positionValue }, void 0)] }, void 0), (0, jsx_runtime_1.jsxs)(styled_1.Paragraph, { children: [locationKey || 'Location', ": ", (0, jsx_runtime_1.jsx)("span", { children: locationValue }, void 0)] }, void 0), (0, jsx_runtime_1.jsx)(styled_1.VacanciesButton, __assign({ secondary: true, width: 100, weight: 500, onClick: btnOnClick }, { children: btnValue || 'Postularme' }), void 0)] }), void 0));
};
exports.VacancyCard = VacancyCard;
exports.default = exports.VacancyCard;
