"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VacanciesButton = exports.Paragraph = exports.Title = exports.CardContainer = void 0;
var styled_components_1 = __importDefault(require("styled-components"));
var Button_1 = require("../../atoms/button/Button");
exports.CardContainer = styled_components_1.default.article(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  width: 100%;\n  max-width: 359px;\n  height: 240px;\n  padding: 27px 29px 33px;\n  border-radius: 40px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n\n  @media screen and (min-width: 768px) {\n    height: 277px;\n    padding: 35px 29px 20px;\n  }\n"], ["\n  width: 100%;\n  max-width: 359px;\n  height: 240px;\n  padding: 27px 29px 33px;\n  border-radius: 40px;\n\n  background-color: ", ";\n  box-shadow: ", ";\n\n  @media screen and (min-width: 768px) {\n    height: 277px;\n    padding: 35px 29px 20px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundCard;
}, function (_a) {
    var theme = _a.theme;
    return theme.boxShadow.shadowCards;
});
exports.Title = styled_components_1.default.h3(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n  margin-bottom: 21px;\n  font-family: 'Raleway', sans-serif;\n  font-size: 22px;\n  font-weight: 700;\n  line-height: 33px;\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    font-size: 24px;\n    line-height: 36px;\n  }\n"], ["\n  margin-bottom: 21px;\n  font-family: 'Raleway', sans-serif;\n  font-size: 22px;\n  font-weight: 700;\n  line-height: 33px;\n  color: ", ";\n\n  @media screen and (min-width: 768px) {\n    font-size: 24px;\n    line-height: 36px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.Paragraph = styled_components_1.default.p(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n  margin-bottom: 10px;\n  font-family: 'Raleway', sans-serif;\n  font-size: 16px;\n  font-weight: 600;\n  line-height: 24px;\n  color: ", ";\n\n  & span {\n    font-weight: 400;\n  }\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 14px;\n    font-size: 18px;\n    line-height: 26px;\n  }\n"], ["\n  margin-bottom: 10px;\n  font-family: 'Raleway', sans-serif;\n  font-size: 16px;\n  font-weight: 600;\n  line-height: 24px;\n  color: ", ";\n\n  & span {\n    font-weight: 400;\n  }\n\n  @media screen and (min-width: 768px) {\n    margin-bottom: 14px;\n    font-size: 18px;\n    line-height: 26px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
});
exports.VacanciesButton = (0, styled_components_1.default)(Button_1.Button)(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  margin-top: 28px;\n  padding: 7px;\n\n  @media screen and (min-width: 768px) {\n    margin-top: 32px;\n  }\n"], ["\n  margin-top: 28px;\n  padding: 7px;\n\n  @media screen and (min-width: 768px) {\n    margin-top: 32px;\n  }\n"])));
var templateObject_1, templateObject_2, templateObject_3, templateObject_4;
