"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VVMCard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var atoms_1 = require("../../atoms");
var styled_1 = require("./styled");
var VVMCard = function (_a) {
    var data = _a.data;
    var _b = (0, react_1.useState)(data[0].name || ''), isActiveFilter = _b[0], setIsActiveFilter = _b[1];
    var handleClick = function (title) {
        if (isActiveFilter !== title)
            setIsActiveFilter(title);
    };
    return ((0, jsx_runtime_1.jsxs)(styled_1.CardContainer, { children: [(0, jsx_runtime_1.jsx)(styled_1.TitleContainer, { children: data.map(function (_a) {
                    var name = _a.name;
                    return ((0, jsx_runtime_1.jsx)(styled_1.Title, __assign({ onClick: function () { return handleClick(name); }, active: isActiveFilter === name }, { children: name }), name));
                }) }, void 0), data.map(function (_a) {
                var _b;
                var name = _a.name, content = _a.content;
                return name === isActiveFilter &&
                    (((_b = data[data.length - 1]) === null || _b === void 0 ? void 0 : _b.name) !== isActiveFilter ? ((0, jsx_runtime_1.jsx)(styled_1.ListValuesAndVision, { children: content.map(function (Item) { return ((0, jsx_runtime_1.jsx)("li", { children: (0, jsx_runtime_1.jsx)(atoms_1.TickWithText, { text: Item, fontSize: 16 }, void 0) }, Item)); }) }, name)) : ((0, jsx_runtime_1.jsx)(styled_1.ListMission, { children: content.map(function (Item) { return ((0, jsx_runtime_1.jsx)("li", { children: (0, jsx_runtime_1.jsx)("p", { children: Item }, void 0) }, Item)); }) }, name)));
            })] }, void 0));
};
exports.VVMCard = VVMCard;
exports.default = exports.VVMCard;
