"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Secondary = exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var atoms_1 = require("../../core/atoms/");
exports.default = {
    title: 'Atoms/ArrowButton',
    component: atoms_1.ArrowButton,
    argTypes: {
        size: {
            control: 'number', defaultValue: 20, type: { name: 'number', required: false },
            table: { defaultValue: { summary: 20 } },
            description: 'This is the size of the font.'
        },
        secondary: {
            control: 'boolean', defaultValue: false, type: { name: 'boolean', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a boolean attribute that swaps between primary and secondary button.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(atoms_1.ArrowButton, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    size: 45
};
exports.Secondary = Template.bind({});
exports.Secondary.args = {
    size: 45,
    secondary: true
};
