"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Web = exports.Behance = exports.Github = exports.Pinterest = exports.Youtube = exports.Twitter = exports.Twitch = exports.Tiktok = exports.Telegam = exports.Facebook = exports.Instagram = exports.Linkedin = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var atoms_1 = require("../../core/atoms");
var SocialNetworkButton_1 = require("../../core/atoms/socialNetworkButton/SocialNetworkButton");
exports.default = {
    title: 'Atoms/SocialNetworkButton',
    component: atoms_1.SocialNetworkButton,
    argTypes: {
        socialNetwork: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the icon that will display the component.'
        },
        to: {
            control: 'text', type: { name: 'string', required: false },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the route to which you are going to redirect the component.'
        },
        size: {
            control: 'number', type: { name: 'number', required: true },
            table: { defaultValue: { summary: 'number' } },
            description: 'This is the component size.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(atoms_1.SocialNetworkButton, __assign({}, args), void 0); };
exports.Linkedin = Template.bind({});
exports.Linkedin.args = {
    socialNetwork: SocialNetworkButton_1.SocialNetwork.linkedin,
    to: 'https://www.linkedin.com/in/diego-javier-conchillo-wagner-123950118/',
    size: 40
};
exports.Instagram = Template.bind({});
exports.Instagram.args = {
    socialNetwork: SocialNetworkButton_1.SocialNetwork.instagram,
    size: 40
};
exports.Facebook = Template.bind({});
exports.Facebook.args = {
    socialNetwork: SocialNetworkButton_1.SocialNetwork.facebook,
    size: 40
};
exports.Telegam = Template.bind({});
exports.Telegam.args = {
    socialNetwork: SocialNetworkButton_1.SocialNetwork.telegram,
    size: 40
};
exports.Tiktok = Template.bind({});
exports.Tiktok.args = {
    socialNetwork: SocialNetworkButton_1.SocialNetwork.tiktok,
    size: 40
};
exports.Twitch = Template.bind({});
exports.Twitch.args = {
    socialNetwork: SocialNetworkButton_1.SocialNetwork.twitch,
    size: 40
};
exports.Twitter = Template.bind({});
exports.Twitter.args = {
    socialNetwork: SocialNetworkButton_1.SocialNetwork.twitter,
    size: 40
};
exports.Youtube = Template.bind({});
exports.Youtube.args = {
    socialNetwork: SocialNetworkButton_1.SocialNetwork.youtube,
    size: 40
};
exports.Pinterest = Template.bind({});
exports.Pinterest.args = {
    socialNetwork: SocialNetworkButton_1.SocialNetwork.pinterest,
    size: 40
};
exports.Github = Template.bind({});
exports.Github.args = {
    socialNetwork: SocialNetworkButton_1.SocialNetwork.github,
    size: 40
};
exports.Behance = Template.bind({});
exports.Behance.args = {
    socialNetwork: SocialNetworkButton_1.SocialNetwork.behance,
    size: 40
};
exports.Web = Template.bind({});
exports.Web.args = {
    socialNetwork: SocialNetworkButton_1.SocialNetwork.web,
    size: 40
};
