"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var atoms_1 = require("../../core/atoms/");
exports.default = {
    title: 'Atoms/TickWithText',
    component: atoms_1.TickWithText,
    argTypes: {
        text: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the text next to the tick.'
        },
        fontSize: {
            control: 'number', type: { name: 'number', required: true },
            table: { defaultValue: { summary: 'number' } },
            description: 'This is the size of the font.'
        },
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(atoms_1.TickWithText, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    text: 'Todo lo del Starter, más',
    fontSize: 20
};
