"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Inactive = exports.Active = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var UnderlineButton_1 = __importDefault(require("../../core/atoms/underlineButton/UnderlineButton"));
exports.default = {
    title: 'Atoms/UnderlineButton',
    component: UnderlineButton_1.default,
    argTypes: {
        isActive: {
            control: 'boolean', defaultValue: false, type: { name: 'boolean', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a boolean attribute that toggles between active or inactive button.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(UnderlineButton_1.default, __assign({}, args, { children: "I am a UnderlineButton" }), void 0); };
exports.Active = Template.bind({});
exports.Active.args = {
    isActive: true
};
exports.Inactive = Template.bind({});
exports.Inactive.args = {
    isActive: false
};
