"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSuccess = exports.isError = exports.Standard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var atoms_1 = require("../../../core/atoms");
var prefix_numbers_of_countries_json_1 = __importDefault(require("./data/prefix-numbers-of-countries.json"));
exports.default = {
    title: 'Atoms/Forms/InputPhone',
    component: atoms_1.InputPhone,
    argTypes: {
        error: {
            control: 'string', defaultValue: false, type: { name: 'string', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a string attribute that turns the error effect on or off.'
        },
        success: {
            control: 'string', defaultValue: false, type: { name: 'string', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a string attribute that turns the success effect on or off.'
        },
        // secondary: {
        //     description: 'This is a boolean attribute that turns the search icon on or off.'
        // },
        name: {
            description: 'This is a string name of the Select'
        },
        placeholder: {
            description: 'This is a first title of the Select'
        },
        countries: {
            description: 'This is the list of countries.'
        },
        getPrefix: { description: 'This is the getter prefix code.' }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(atoms_1.InputPhone, __assign({}, args), void 0); };
exports.Standard = Template.bind({});
exports.Standard.args = {
    placeholder: '44559999',
    countries: prefix_numbers_of_countries_json_1.default
};
exports.isError = Template.bind({});
exports.isError.args = {
    error: 'Error',
    placeholder: '44559999',
    countries: prefix_numbers_of_countries_json_1.default
};
exports.isSuccess = Template.bind({});
exports.isSuccess.args = {
    success: 'Success',
    placeholder: '44559999',
    countries: prefix_numbers_of_countries_json_1.default
};
