"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSuccess = exports.isError = exports.Standard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var atoms_1 = require("../../../core/atoms");
exports.default = {
    title: 'Atoms/Forms/Textarea',
    component: atoms_1.Textarea,
    argTypes: {
        error: {
            description: 'This is a string attribute that turns the error effect on or off.'
        },
        success: {
            description: 'This is a string attribute that turns the success effect on or off.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(atoms_1.Textarea, __assign({}, args), void 0); };
exports.Standard = Template.bind({});
exports.Standard.args = {
    placeholder: 'Lorem ipsum dolor sit, amet consectetur adipisicing elit. Voluptas rerum tenetur, hic sed illum, quidem eligendi quis a repellendus, autem tempore laborum quia iure ipsam exercitationem ad eaque quibusdam maxime?',
    rows: 10
};
exports.isError = Template.bind({});
exports.isError.args = {
    error: 'No es un formato valido',
    rows: 10,
    placeholder: 'Lorem ipsum dolor sit, amet consectetur adipisicing elit. Voluptas rerum tenetur, hic sed illum, quidem eligendi quis a repellendus, autem tempore laborum quia iure ipsam exercitationem ad eaque quibusdam maxime?'
};
exports.isSuccess = Template.bind({});
exports.isSuccess.args = {
    success: 'enviado correctamente',
    rows: 10,
    placeholder: 'Lorem ipsum dolor sit, amet consectetur adipisicing elit. Voluptas rerum tenetur, hic sed illum, quidem eligendi quis a repellendus, autem tempore laborum quia iure ipsam exercitationem ad eaque quibusdam maxime?'
};
