"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules/");
var star_light_gif_1 = __importDefault(require("../assets/star-light.gif"));
exports.default = {
    title: 'Molecules/DifferentiationCard',
    component: molecules_1.DifferentiationCard,
    argTypes: {
        image: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the gif image in the card.'
        },
        title: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        text: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the text in the card.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.DifferentiationCard, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    image: star_light_gif_1.default,
    title: 'Profesionales altamente calificados',
    text: 'Tu proyecto está en buenas manos! Todos nuestros profesionales están al tanto de las nuevas tecnologías e innovaciones.'
};
