"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules");
exports.default = {
    title: 'Molecules/DropdownFQA',
    component: molecules_1.DropdownFQA,
    argTypes: {
        questions: {
            description: 'This is an array of objects containing the name and content of each question.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.DropdownFQA, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    questions: [
        { "name": "preg1", "content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu." },
        { "name": "preg2", "content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu." },
        { "name": "preg3", "content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu." },
        { "name": "preg4", "content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu." },
        { "name": "preg5", "content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu." },
        { "name": "preg6", "content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu." },
        { "name": "preg7", "content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu." },
        { "name": "preg8", "content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu." },
        { "name": "preg9", "content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu." },
        { "name": "preg10", "content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim. Porttitor elementum suspendisse eget aliquet feugiat diam placerat id. Purus quis aenean quam pellentesque posuere interdum. Adipiscing lectus et non arcu." }
    ]
};
