"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules");
var upway_svg_1 = __importDefault(require("../assets/upway.svg"));
exports.default = {
    title: 'Molecules/HeadingVacancyCard',
    component: molecules_1.HeadingVacancyCard,
    argTypes: {
        image: {
            control: 'text', type: { name: 'string', required: false },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the image in the card.'
        },
        position: {
            control: 'text', type: { name: 'string', required: true },
            table: { tydefaultValuepe: { summary: 'string' } },
            description: 'This is the position in the card.'
        },
        btnValue: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the value of the button.'
        },
        btnOnClick: {
            action: function () { return alert('Primary Button'); },
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the button onClick event handler in the card.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.HeadingVacancyCard, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    image: upway_svg_1.default,
    position: 'UX UI DESGINER',
    btnValue: 'Postularse',
    btnOnClick: function () { return alert('Event'); }
};
