"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules");
var diego_jpg_1 = __importDefault(require("../assets/diego.jpg"));
exports.default = {
    title: 'Molecules/TeamCard',
    component: molecules_1.TeamCard,
    argTypes: {
        rol: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the role of the person in the card.'
        },
        image: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the image of the person in the card.'
        },
        name: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the name of the person in the card.'
        },
        profession: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the proffession of the person in the card.'
        },
        social: {
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the social networks of the person in the card.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.TeamCard, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    rol: 'Team Lead Devs',
    image: diego_jpg_1.default,
    name: 'Diego Javier Conchillo Wagner',
    profession: 'Software Engeneer / Full Stack Developer',
    social: [
        { name: 'linkedin', to: ' https://www.facebook.com', size: 45 },
        { name: 'instagram', to: ' https://www.facebook.com', size: 45 },
        { name: 'facebook', to: ' https://www.facebook.com', size: 45 }
    ],
};
