"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules");
exports.default = {
    title: 'Molecules/VVMCard',
    component: molecules_1.VVMCard,
    argTypes: {
        data: {
            description: 'Array of objects that contains the name of the category and its content array.'
        },
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.VVMCard, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    data: [
        { "name": "Valores", "content": ["Integridad y honestidad", "Enfoque centrado en el cliente", "Metodología ágil y adaptativa", "Proceso de negocio transparente", "Comunicación fluida", "Honrando los compromisos", "Enfoque abierto y flexible", "Equipo apasionado y motivado"] },
        { "name": "Visión", "content": ["Ser una agencia reconicida a nivel mundial", "Ser líderes en innovación y diseño", "Ofrecer la mejor experiencia al usuario", "Facilitar y aumentar las ventas a nuestros clientes", "Dar tarifas competitivas a nuestros clientes", "Honrando los compromisos", "Enfoque abierto y flexible", "Equipo apasionado y motivado"] },
        { "name": "Misión", "content": ["Nuestra mision es ser socios estrategicos de nuestros clientes. Estamos comprometidos a ser tus aliados y ayudarte a crecer. Queremos ser accesibles para todos.", "Trabajamos desarrollando contenido personalizado, creativo, innovador y estrategico. Buscamos que todos nuestros socios puedan aprovechar las oportunidades del mundo digital. Nos esforzamos en ofrecer el mejor servicio del mercado a un precio accesible. Trabajamos con nuestros clientes para identificar y desarrollar todo el potencial de sus marcas, construyendo tambien relaciones de largo plazo."] }
    ]
};
