declare const _default: {
    title: string;
    fonts: {
        primary: string;
        secondary: string;
    };
    colors: {
        gradient: {
            gradient: string;
        };
        background: {
            primaryBackgroundColor: string;
            secondaryBackgroundColor: string;
            backgroundCard: string;
            backgroundForm: string;
            backgroundNavSwitcher: string;
            backgroundNavHamburger: string;
        };
        border: {
            borderNavHamburger: string;
        };
        button: {
            primaryButton: string;
            buttonTypography: string;
            activePrimaryButton: string;
            hoverPrimaryButton: string;
            clickPrimaryButton: string;
            activeSecondaryButton: string;
            hoverSecondaryButton: string;
            clickSecondaryButton: string;
            activeTertiaryLink: string;
            hoverTertiaryLink: string;
        };
        typography: {
            primaryTypography: string;
            secondaryTypography: string;
            alphaTypography: string;
            filterTypography: string;
            disabled: string;
            disabledTypography: string;
        };
        underline: {
            primaryUnderline: string;
            secondaryUnderline: string;
        };
        primaryIconColor: string;
        inputs: {
            success: string;
            error: string;
            disabled: string;
            focus: string;
            disabledTypography: string;
        };
    };
    boxShadow: {
        shadowNav: string;
        shadowCards: string;
        shadowFooter: string;
    };
};
export default _default;
