"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    title: 'DARK',
    fonts: {
        primary: "'Roboto', sans-serif",
        secondary: "'Raleway', sans-serif"
    },
    colors: {
        gradient: {
            gradient: 'linear-gradient(180deg, #007AFF 0%, #0058B8 100%)',
        },
        background: {
            primaryBackgroundColor: '#020202',
            secondaryBackgroundColor: '#080808',
            backgroundCard: '#121212',
            backgroundForm: '#1E1E1E',
            backgroundNavSwitcher: '#1E1E1E',
            backgroundNavHamburger: '#121212',
        },
        border: {
            borderNavHamburger: '#1E1E1E',
        },
        button: {
            primaryButton: '#0063CE',
            buttonTypography: '#FFFFFF',
            activePrimaryButton: 'linear-gradient(180deg, #007AFF 0%, #0058B8 100%)',
            hoverPrimaryButton: '#007AFF',
            clickPrimaryButton: '#0063CE',
            activeSecondaryButton: '#FFFFFF',
            hoverSecondaryButton: '#97E2DF',
            clickSecondaryButton: '#97E2DF',
            activeTertiaryLink: '#66D4CF',
            hoverTertiaryLink: '#66D4CF',
        },
        typography: {
            primaryTypography: '#FFFFFF',
            secondaryTypography: '#616161',
            alphaTypography: 'rgba(255,255,255,0.1)',
            filterTypography: '#FFFFFF',
            disabled: '#616161',
            disabledTypography: '#808080',
        },
        underline: {
            primaryUnderline: '#66D4CF',
            secondaryUnderline: '#FF9500',
        },
        primaryIconColor: '#ffffff',
        inputs: {
            success: '#69FF6F',
            error: '#FF5E5E',
            disabled: '#6B6B6B',
            focus: '#FFFFFF',
            disabledTypography: '#A1A1A1'
        }
    },
    boxShadow: {
        shadowNav: '0px 4px 10px rgba(33, 33, 33, 0.5)',
        shadowCards: '0px 4px 20px rgba(0, 37, 84, 0.1)',
        shadowFooter: '0px 0px 20px rgba(0, 37, 84, 0.1)'
    }
};
