"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    title: 'LIGHT',
    fonts: {
        primary: "'Roboto', sans-serif",
        secondary: "'Raleway', sans-serif"
    },
    colors: {
        gradient: {
            gradient: 'linear-gradient(180deg, #0063CE 0%, #004A99 100%)'
        },
        background: {
            primaryBackgroundColor: '#FFFFFF',
            secondaryBackgroundColor: '#FFFFFF',
            backgroundCard: '#FFFFFF',
            backgroundForm: '#FFFFFF',
            backgroundNavSwitcher: '#EEEEEE',
            backgroundNavHamburger: '#fcfcfc',
        },
        border: {
            borderNavHamburger: '#e6e6e6',
        },
        button: {
            primaryButton: '#0063CE',
            buttonTypography: '#FFFFFF',
            activePrimaryButton: 'linear-gradient(180deg, #0063CE 0%, #004A99 100%)',
            hoverPrimaryButton: '#0063CE',
            clickPrimaryButton: '#007AFF',
            activeSecondaryButton: '#0063CE',
            hoverSecondaryButton: '#007AFF',
            clickSecondaryButton: '#0063CE',
            activeTertiaryLink: '#0063CE',
            hoverTertiaryLink: '#007AFF',
        },
        typography: {
            primaryTypography: '#020202',
            secondaryTypography: '#616161',
            alphaTypography: 'rgba(2,2,2,0.1)',
            filterTypography: '#616161',
            disabled: '#E5E5E5',
            disabledTypography: '#FFFFFF',
        },
        underline: {
            primaryUnderline: '#66C1C0',
            secondaryUnderline: '#FF6500',
        },
        primaryIconColor: '#5FBEBD',
        inputs: {
            success: '#00AF07',
            error: '#F30000',
            disabled: '#A1A1A1',
            focus: '#020202',
            disabledTypography: '#A1A1A1'
        }
    },
    boxShadow: {
        shadowNav: '0px 4px 10px rgba(2, 2, 2, 0.05)',
        shadowCards: '0px 4px 20px rgba(0, 37, 84, 0.1)',
        shadowFooter: '0px 0px 20px rgba(0, 37, 84, 0.1)'
    }
};
